# Generated by configure.  Do not edit.

commit 1022aad97078dcbf5fde98bfee012c5428202dcd
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Nov 22 11:59:33 2011 +0000

    Release Clutter 1.9.2 (snapshot)

 configure.ac |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit a13b095dc2beb9d4c1c3fe5cf15ebe02376e958c
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Nov 22 12:11:06 2011 +0000

    build: Fix distcheck

 clutter/Makefile.am           |   40 +++++++++++++++++++---------------------
 tests/conform/Makefile.am     |   18 ++++++++----------
 tests/interactive/Makefile.am |   27 +++++++++++++++------------
 3 files changed, 42 insertions(+), 43 deletions(-)

commit cdd5f6142c767f76cd8a70274eda203b1a5a35b2
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Tue Nov 22 01:20:48 2011 +0000

    Update NEWS file

 NEWS |   96 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 files changed, 96 insertions(+), 0 deletions(-)

commit a24ff882b6dd9eb3ab0a7cfdbb047b84a1bc5893
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Tue Nov 22 01:00:58 2011 +0000

    conform: Bail out GLSL-based tests
    
    If we don't have GLSL support on the platform.

 tests/conform/test-pick.c          |    6 ++++++
 tests/conform/test-shader-effect.c |    3 +++
 2 files changed, 9 insertions(+), 0 deletions(-)

commit 52ea1510a19233413a37801e1a72832027fcc548
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Tue Nov 22 00:29:08 2011 +0000

    docs: Fixes for the API reference

 doc/reference/clutter/Makefile.am          |    1 +
 doc/reference/clutter/clutter-docs.xml.in  |    1 +
 doc/reference/clutter/clutter-sections.txt |   18 ++++++++++++++++++
 3 files changed, 20 insertions(+), 0 deletions(-)

commit 02a020a7fd4b58a815fa80578aa32d0aa6d0e4d9
Author: Florian Müllner <fmuellner@gnome.org>
Date:   Fri Nov 18 22:04:31 2011 +0100

    Add missing include
    
    clutter-profile.h used to be included via clutter-debug.h, but no
    more (8a4dc3c011) ...

 clutter/cogl/clutter-stage-cogl.c |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 6e15fd930a2b5cfb83f0edaf03be4a7d2e6ab8d2
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Fri Nov 18 17:54:19 2011 +0000

    debug: Simple whitespace cleanups

 clutter/clutter-debug.h |   14 ++++++--------
 1 files changed, 6 insertions(+), 8 deletions(-)

commit 8a4dc3c011fb3dfe8157dfc228fedd72a81c3c12
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Fri Nov 18 17:44:42 2011 +0000

    debug: Clean up profile/debug symbols
    
    Since we have a _clutter_debug_message() function compiled in
    unconditionally we have no further need for the equivalent conditional
    version defined in clutter-profile.[ch]: we can simply do the work in
    one function.

 clutter/clutter-debug.h   |   26 ++++++++++++--------------
 clutter/clutter-main.c    |    5 +++++
 clutter/clutter-profile.c |   13 -------------
 clutter/clutter-profile.h |   18 ++++++++----------
 4 files changed, 25 insertions(+), 37 deletions(-)

commit 92585be4d805a1cb0b60df92a0b235fd1a2824be
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Fri Nov 18 17:32:01 2011 +0000

    debug: Remove CLUTTER_GLERR
    
    The macro hasn't been used in a long while, as Cogl had its own version
    of it; and Clutter hasn't been using pure GL for some time now.

 clutter/clutter-debug.h |    9 ---------
 1 files changed, 0 insertions(+), 9 deletions(-)

commit 2d76407016075df8f3b12ffb4429c37ae33ccd33
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Fri Nov 18 17:30:39 2011 +0000

    debug: Remove CLUTTER_MARK
    
    The debug macro is seldom used, and it's a bit lame at that.

 clutter/clutter-debug.h   |    3 ---
 clutter/clutter-main.c    |    4 ----
 clutter/clutter-texture.c |    8 --------
 3 files changed, 0 insertions(+), 15 deletions(-)

commit ecdb12ecc3b5ab098173e580b693de1629ddc016
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Fri Nov 18 17:23:30 2011 +0000

    conform/cogl-pixel-buffer: Remove unused variable

 tests/conform/test-cogl-pixel-buffer.c |    5 -----
 1 files changed, 0 insertions(+), 5 deletions(-)

commit 90f37d5636f5a1cec3e8423625647f774af7141f
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Fri Nov 18 17:22:12 2011 +0000

    cairo-texture: Skip ::draw emission for 0x0 surfaces
    
    This also avoids an assertion failure.

 clutter/clutter-cairo-texture.c |    6 ++++++
 1 files changed, 6 insertions(+), 0 deletions(-)

commit 225820c4b4d5af5e619e941b67dbdba8e47a432d
Author: Rico Tzschichholz <ricotz@t-online.de>
Date:   Fri Nov 18 18:08:01 2011 +0100

    Fix 'make dist'

 tests/interactive/Makefile.am |   17 ++++++++++++-----
 1 files changed, 12 insertions(+), 5 deletions(-)

commit 516b5de7566a453d1009a5465e9452d9642d1fee
Author: Rico Tzschichholz <ricotz@t-online.de>
Date:   Fri Nov 18 17:38:45 2011 +0100

    tests: Remove some trailing spaces

 tests/interactive/Makefile.am |    7 ++++---
 1 files changed, 4 insertions(+), 3 deletions(-)

commit 73e7404652567a5a095021909b90507c1d7ed42e
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Fri Nov 18 15:12:45 2011 +0000

    build: Clean up the VS build rules
    
    Some minor cleanups of the Visual Studio rules in the interactive and
    conformance test suites.

 .gitignore                    |    1 +
 build/win32/.gitignore        |    1 +
 tests/conform/Makefile.am     |   35 +++++++++++++++++------------------
 tests/interactive/Makefile.am |   28 +++++++++++++---------------
 4 files changed, 32 insertions(+), 33 deletions(-)

commit b62216955ff768fb3ec4e8f3f99e6bdd1fd27fe2
Author: Rico Tzschichholz <ricotz@t-online.de>
Date:   Fri Nov 18 13:39:06 2011 +0100

    build: Make sure test-unit-names.h is generated

 tests/interactive/Makefile.am |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit a69c4fdc59682579a05b157afa822f6fc9e7a336
Merge: d3a9bf2 ebf12a8
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Thu Nov 17 22:17:01 2011 +0800

    Merge branch 'master' into msvc-support-master

commit ebf12a8cd724ff5136021d4b3aaa6e61531620d4
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Wed Nov 16 16:42:41 2011 +0000

    docs: Document the DeformEffect wrap-mode change
    
    The change from CoglVertexBuffer to CoglPrimitive led to a change of the
    default wrap-mode for the pipeline. Since using REPEAT can introduce
    artifacts when sampling outside the [ 0, 1 ] texture coordinates range,
    and since the default wrap mode was not documented anyway, we want to
    keep the change from REPEAT to CLAMP, but it's worth adding an entry in
    the release notes.

 README.in |   10 ++++++++++
 1 files changed, 10 insertions(+), 0 deletions(-)

commit ef02de19e8a351b0f38b05d19423dd4a4eb3012c
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Wed Nov 16 14:50:36 2011 +0000

    interactive: Remove test-model
    
    The model API is already tested in the conformance test suite.

 tests/interactive/Makefile.am  |    1 -
 tests/interactive/test-model.c |  237 ----------------------------------------
 2 files changed, 0 insertions(+), 238 deletions(-)

commit 15000307fdf06efda2b74889e021c63deb354a51
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Wed Nov 16 13:59:11 2011 +0000

    interactive: Remove test-unproject
    
    The coordinate transformation code is exercised throughout the
    conformance and interactive tests, so there's no need to have a specific
    interactive test that doesn't do anything more complicated than calling
    clutter_actor_transform_stage_point().

 tests/interactive/Makefile.am      |    1 -
 tests/interactive/test-unproject.c |  157 ------------------------------------
 2 files changed, 0 insertions(+), 158 deletions(-)

commit d3a9bf201b42f156d4743b8a194d0e03f41ff7ef
Merge: 39c3ccf bf9339b
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Wed Nov 16 09:15:16 2011 +0800

    Merge branch 'master' into msvc-support-master

commit bf9339b8f468dfb12eee95472f0b284acbf56487
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Nov 15 17:58:25 2011 +0000

    Deprecate some more old, useless API
    
    We still ship clutter_get_show_fps() and clutter_get_debug_enabled() as
    public entry points. Yet another case of missing API review prior to the
    1.0 release, so really the bucket stops around my desk.
    
    Let's deprecate these two useless functions, and reduce the API
    footprint of Clutter.

 clutter/clutter-main.c            |   28 +++++++++++++++++++---------
 clutter/clutter-main.h            |    2 --
 clutter/clutter-private.h         |    2 ++
 clutter/clutter-stage.c           |    4 ++--
 clutter/deprecated/clutter-main.h |    6 ++++++
 5 files changed, 29 insertions(+), 13 deletions(-)

commit 66d46fd55e15b7e882cbf99d7525475eb35c4322
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Nov 15 17:47:00 2011 +0000

    Deprecate clutter_get_timestamp()
    
    This function should have never been made public in the first place; its
    output depends on a configuration option of Clutter, and it's basically
    useful only for internal debugging.

 clutter/clutter-main.c            |   16 ++++++++++++++--
 clutter/clutter-main.h            |    1 -
 clutter/deprecated/clutter-main.h |    3 +++
 3 files changed, 17 insertions(+), 3 deletions(-)

commit 59f395d856e46f6c6a2bc8901db3ecb3f73ee50a
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Nov 15 17:39:49 2011 +0000

    Rework debug output
    
    Make it consistent across the various build options (with or without
    profiling enabled), and add a timestamp using the monotonic clock to
    every debug message.

 clutter/clutter-debug.h   |   16 +++++++++-------
 clutter/clutter-main.c    |   26 ++++++++++++++++++++++++++
 clutter/clutter-profile.c |   10 ++++------
 clutter/clutter-profile.h |   41 +++++++++++++++--------------------------
 4 files changed, 54 insertions(+), 39 deletions(-)

commit c6e487a5c121dc64604232eb971a4d959ea1b3d2
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Nov 15 16:07:13 2011 +0000

    Remove CLUTTER_TIMESTAMP debug macro
    
    It's pretty much unused, and it doesn't print out really informative
    messages. We should make CLUTTER_NOTE print out a decent timestamp
    instead.

 clutter/clutter-debug.h    |   16 ----------------
 clutter/clutter-main.c     |    2 +-
 clutter/clutter-stage.c    |   12 ++++++------
 clutter/clutter-timeline.c |    6 +++---
 4 files changed, 10 insertions(+), 26 deletions(-)

commit 8b2df7ced9e0be99cc9bc56678ad12ba614d75de
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Nov 15 15:34:51 2011 +0000

    Remove the GTimer used by clutter_get_timestamp()
    
    Use g_get_monotonic_time() instead, which does the right thing.

 clutter/clutter-main.c    |   21 ++-------------------
 clutter/clutter-private.h |    3 ---
 2 files changed, 2 insertions(+), 22 deletions(-)

commit f63891f030f6cb7d72a911e15e8176cd6b27f50e
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Nov 15 14:59:50 2011 +0000

    texture: Do not use clutter_get_timestamp()
    
    The clutter_get_timestamp() output depends on whether Clutter was
    compiled with debugging support — it's meant to be used only by the
    debugging notes, and it should not be used for anything else.

 clutter/clutter-texture.c |    7 +++----
 1 files changed, 3 insertions(+), 4 deletions(-)

commit 58b6ad787b115f89eb8f1d982e00cb4e9e55b7a6
Author: Neil Roberts <neil@linux.intel.com>
Date:   Tue Nov 8 15:45:14 2011 +0000

    deform-effect: Use CoglPipeline instead of setting legacy state
    
    Instead of calling cogl_set_depth_test_enabled and
    cogl_set_backface_culling_enabled ClutterDeformEffect now uses the
    experimental CoglPipeline API. Those global state functions will soon
    be deprecated in Cogl and they are implemented by flushing a temporary
    override pipline which isn't ideal.
    
    Using the new culling API we can also avoid having a separate buffer
    of indices for the back of the texture by just changing the culling
    mode to cull front baces instead of the back.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=663636

 clutter/clutter-deform-effect.c |  171 ++++++++++++++------------------------
 1 files changed, 63 insertions(+), 108 deletions(-)

commit 8a752d674b4b8711a3912ff18506bb13cf238034
Author: Neil Roberts <neil@linux.intel.com>
Date:   Tue Nov 8 11:37:27 2011 +0000

    deform-effect: Use CoglPrimitives instead of CoglVertexBuffers
    
    This changes ClutterDeformEffect to use a CoglAttributeBuffer with a
    CoglPrimitive instead of the old CoglVertexBuffer. The old vertex
    buffer code is now implemented in terms of the attribute buffer code
    and it will eventually be deprecated. Using CoglPrimitives should be
    slightly more efficient.
    
    This also changes the struct we store the vertices to be
    CoglVertexP3T2C4 instead of CoglTextureVertex. The latter is
    technically not compatible with neither vertex buffers nor attribute
    buffers because it contains a CoglColor and the internal members of
    that are private so it is not valid to assume it contains 4 bytes and
    use that as an attribute. Also it contains padding so it ends up
    redundantly creating a larger buffer. CoglTextureVertex is in the
    public API for the deform_vertex virtual so we still have to maintain
    that. Instead of directly manipulating the array to upload, the
    application is now passed a stack allocated temporary struct which
    gets converted to a CoglVertexP3T2C4. This also means that we can map
    the buffer as write only and still let the application read-write the
    vertex.
    
    The paint debug code to draw line strips for the deform mesh was
    previously trying to set a red source material. However this wasn't
    working because the material color was being overwritten by the color
    attribute in the vertex buffer. This patch fixes that by creating a
    seperate primitive for the lines and not adding the color
    attribute. The lines code was also drawing both the front and back
    indices. I don't think that entirely makes sense so I've just changed
    it to draw only the front indices. Maybe painting both would make more
    sense if backface culling was still enabled.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=663636

 clutter/clutter-deform-effect.c |  323 ++++++++++++++++++++++++---------------
 1 files changed, 201 insertions(+), 122 deletions(-)

commit 39c3ccfca5dc3d10423cb3972a481bfdc915eadc
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Tue Nov 15 17:18:51 2011 +0800

    Visual C++ support update
    
    Add Projects to compile the performance test files.

 build/win32/vs10/Makefile.am                       |   14 ++
 build/win32/vs10/clutter.props                     |    4 +
 build/win32/vs10/clutter.sln                       |   70 ++++++++
 build/win32/vs10/install.vcxproj                   |   28 ++++
 build/win32/vs10/test-picking-performance.vcxproj  |  169 ++++++++++++++++++++
 .../vs10/test-picking-performance.vcxproj.filters  |   23 +++
 .../vs10/test-state-hidden-performance.vcxproj     |  169 ++++++++++++++++++++
 .../test-state-hidden-performance.vcxproj.filters  |   23 +++
 .../test-state-interactive-performance.vcxproj     |  169 ++++++++++++++++++++
 ...t-state-interactive-performance.vcxproj.filters |   23 +++
 .../win32/vs10/test-state-mini-performance.vcxproj |  169 ++++++++++++++++++++
 .../test-state-mini-performance.vcxproj.filters    |   23 +++
 build/win32/vs10/test-state-performance.vcxproj    |  169 ++++++++++++++++++++
 .../vs10/test-state-performance.vcxproj.filters    |   23 +++
 .../win32/vs10/test-state-pick-performance.vcxproj |  169 ++++++++++++++++++++
 .../test-state-pick-performance.vcxproj.filters    |   23 +++
 .../win32/vs10/test-text-perf-performance.vcxproj  |  169 ++++++++++++++++++++
 .../test-text-perf-performance.vcxproj.filters     |   23 +++
 build/win32/vs9/Makefile.am                        |    7 +
 build/win32/vs9/clutter.sln                        |   98 +++++++++++
 build/win32/vs9/clutter.vsprops                    |    4 +
 build/win32/vs9/test-picking-performance.vcproj    |  166 +++++++++++++++++++
 .../win32/vs9/test-state-hidden-performance.vcproj |  166 +++++++++++++++++++
 .../vs9/test-state-interactive-performance.vcproj  |  166 +++++++++++++++++++
 build/win32/vs9/test-state-mini-performance.vcproj |  166 +++++++++++++++++++
 build/win32/vs9/test-state-performance.vcproj      |  166 +++++++++++++++++++
 build/win32/vs9/test-state-pick-performance.vcproj |  166 +++++++++++++++++++
 build/win32/vs9/test-text-perf-performance.vcproj  |  166 +++++++++++++++++++
 28 files changed, 2731 insertions(+), 0 deletions(-)

commit 2a54db4557a0e4b417535ef162590a414a8a3c5b
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Tue Nov 15 16:29:35 2011 +0800

    test-picking.c: Use G_PI rather than M_PI
    
    M_PI is not universally available...

 tests/performance/test-picking.c |    8 ++++----
 1 files changed, 4 insertions(+), 4 deletions(-)

commit 2a86ecc4b9516222c4f74ba106d7c2275baa9ae2
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Tue Nov 15 16:19:06 2011 +0800

    Update interactive/conformance .bat names
    
    Add a -clutter suffix to avoid confustion with others, such as COGL.

 tests/conform/Makefile.am     |    2 +-
 tests/interactive/Makefile.am |   10 +++++-----
 2 files changed, 6 insertions(+), 6 deletions(-)

commit 119169b4a16b739f833bd83b8484ae04ce30ae2b
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Tue Nov 15 15:31:17 2011 +0800

    Fix up VS property sheets
    
    Should be ..\..\..\clutter\deprecated\clutter-keysyms.h, not
    ..\..\..\clutter\deprecated\clutter-keysyms-deprecated.h

 build/win32/vs10/clutter.props  |    2 +-
 build/win32/vs9/clutter.vsprops |    2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit 794b49990a726df15b43c0fe741b7067ee2a3f95
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Tue Nov 15 15:19:09 2011 +0800

    Update Visual C++ projects
    
    Update output DLL/LIB names to be consistent with the autotools output,
    due to the newl-introduced multi-backend feature (only the Win32 backend
    is supported here for now, GDK3 support will be added when it stabilizes)

 build/win32/vs10/clutter.vcxprojin |   16 ++++++++--------
 build/win32/vs9/clutter.vcprojin   |   16 ++++++++--------
 2 files changed, 16 insertions(+), 16 deletions(-)

commit 8d0c68347a4ee33bb77c7c21760b63f15db9cf26
Merge: 96d4e52 b281f20
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Tue Nov 15 14:20:22 2011 +0800

    Merge branch 'master' into msvc-support-master

commit b281f2090a8fb042cb471611eab54c26ceba8074
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Nov 14 17:04:14 2011 +0000

    Store the master clock pointer in the main context
    
    Let's try and move all singletons into ClutterMainContext.

 clutter/clutter-master-clock.c |   10 ++++------
 clutter/clutter-private.h      |    3 +++
 2 files changed, 7 insertions(+), 6 deletions(-)

commit f1ebfe30cee518811454b2bea6558bcfd19a5eb7
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Nov 14 15:43:20 2011 +0000

    stage-manager: Store the stage manager into the main context
    
    Use the main context to store the stage manager singleton, instead of a
    static pointer inside clutter-stage-manager.c.

 clutter/clutter-private.h       |    4 ++++
 clutter/clutter-stage-manager.c |    8 ++++----
 2 files changed, 8 insertions(+), 4 deletions(-)

commit 96d4e527ea8bf0e7fd238ba6cafd578f86fea27f
Merge: 2628ba7 e7720c4
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Mon Nov 14 22:57:50 2011 +0800

    Merge branch 'master' into msvc-support-master

commit e7720c415649cb67453b90764258f398f8e97107
Author: Lionel Landwerlin <lionel.g.landwerlin@linux.intel.com>
Date:   Wed Nov 9 02:04:31 2011 +0000

    deform-effect: do not redraw actor on invalidate
    
    When invalidating the deform effect, we are invalidating the vertices
    shaping the deformation of an actor. Therefore, there is no need to
    trigger a redraw of the associated actor, we can just repaint the
    effect.
    
    Signed-off-by: Lionel Landwerlin <lionel.g.landwerlin@linux.intel.com>
    
    https://bugzilla.gnome.org/show_bug.cgi?id=663720

 clutter/clutter-deform-effect.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit b5ac9277636bdeabcd3f2b6b62e234b085a5f49f
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Nov 14 11:46:02 2011 +0000

    stage: Clean up
    
    Improve the consistency of the code.

 clutter/clutter-stage-manager.c |   14 +++++-------
 clutter/clutter-stage.c         |   41 +++++++++++++++++++++-----------------
 2 files changed, 29 insertions(+), 26 deletions(-)

commit b2d1dfa932d20d17c236f2646879a38876302190
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Nov 14 11:45:14 2011 +0000

    stage: Deprecate clutter_stage_queue_redraw()
    
    It's a wrapper around clutter_actor_queue_redraw().

 clutter/clutter-stage.c            |    5 ++---
 clutter/clutter-stage.h            |    1 -
 clutter/deprecated/clutter-stage.h |    3 +++
 3 files changed, 5 insertions(+), 4 deletions(-)

commit f5d011cb67f06d35721c78f3e93389da7e550ebd
Merge: bbe54aa 213e6e4
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Nov 14 11:07:54 2011 +0000

    Merge branch 'deprecate-default-stage'
    
    * deprecate-default-stage:
      evdev: do not associate device with stage
      evdev: don't even process events without a default stage
      docs: Note default stage deprecation in README
      docs: Remove clutter_stage_get_default()
      stage: Deprecate the default stage
      script: Do not use clutter_stage_get_default()
      cally/actor: Do not use the default stage as a fallback
      Try to mop up the default stage mess
      performance/*: Do not use clutter_stage_get_default()
      interactive/*: Do not use clutter_stage_get_default()
      Merge with a11y
      micro-bench/*: Do not use clutter_stage_get_default()
      accessibility/*: Do not use clutter_stage_get_default()
      conform/*: Do not use clutter_stage_get_default()

commit bbe54aa2ec61824ec05684bb2de6297edc289500
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Mon Nov 14 13:36:52 2011 +0800

    Fix clutter-bakend-win32.c
    
    The VBLANK environmental variable is done universally in clutter-main.c
    as in commits e8562089 (main: Add a sync-to-vblank global flag) and
    db211a21 (Remove per-backend CLUTTER_VBLANK envvar), so remove these things
    here as well.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=663999

 clutter/win32/clutter-backend-win32.c |   19 -------------------
 1 files changed, 0 insertions(+), 19 deletions(-)

commit 2628ba70cdd8dccd90a487466b42f0fe136f6860
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Mon Nov 14 13:36:52 2011 +0800

    Fix clutter-bakend-win32.c
    
    The VBLANK environmental variable is done universally in clutter-main.c
    as in commits e8562089 (main: Add a sync-to-vblank global flag) and
    db211a21 (Remove per-backend CLUTTER_VBLANK envvar), so remove these things
    here as well.

 clutter/win32/clutter-backend-win32.c |   19 -------------------
 1 files changed, 0 insertions(+), 19 deletions(-)

commit ebf3147a0054ebc577cf4822d85ff03ce5562f65
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Mon Nov 14 13:33:04 2011 +0800

    clutter-config.h.win32: Add CLUTTER_INPUT_NULL

 clutter/clutter-config.h.win32 |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit c73a1fa7df9a4ec1a5c8db9b7d5f4d2169f40174
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Mon Nov 14 13:32:29 2011 +0800

    Fix VS property sheets
    
    Should be clutter-keysyms.compat.h that should land in deprecated/, not
    clutter-keysyms.h

 build/win32/vs10/clutter.props  |    8 ++++----
 build/win32/vs9/clutter.vsprops |    8 ++++----
 2 files changed, 8 insertions(+), 8 deletions(-)

commit 145685b099d86fd5d6a49225834dd40962a9e091
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Mon Nov 14 12:49:52 2011 +0800

    Update config.h.win32.in/clutter-config.h.win32
    
    -Make the contents of config.h.win32.in more like config.h.in
    -Define CLUTTER_INPUT_WIN32 accordingly (no GDK3 defines yet, until
     GDK3 on Windows is more stable)

 clutter/clutter-config.h.win32 |    1 +
 config.h.win32.in              |    9 +++------
 2 files changed, 4 insertions(+), 6 deletions(-)

commit 1b7249a2478b78a4242c766d85347e71c3a70ba4
Merge: c52d06a 65a07db
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Mon Nov 14 11:40:49 2011 +0800

    Merge branch 'master' into msvc-support-master

commit 65a07db5c07b2601835565ce48db689f634203b4
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:   Sun Nov 13 18:52:21 2011 +0100

    Updated Galician translations

 po/clutter-1.0.pot | 1455 +++++++++++++++++++++++++++-------------------------
 po/gl.po           |  765 ++++++++++++++--------------
 2 files changed, 1141 insertions(+), 1079 deletions(-)

commit c52d06a5b9fe05b09836d364dba3a20d487f62b5
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Sat Nov 12 12:03:53 2011 +0800

    Update clutter-config.h.win32
    
    The CLUTTER_WINDOWING_WIN32 needs to be in-sync with what is in
    configure.ac, due to the implementation of multiple backends.

 clutter/clutter-config.h.win32 |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit a0c9d294b0c2784b1459a21e5d8dbf8af9705432
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Fri Nov 11 18:16:06 2011 +0100

    Updated Spanish translation

 po/es.po |  770 ++++++++++++++++++++++++++++++++------------------------------
 1 files changed, 392 insertions(+), 378 deletions(-)

commit 028b716f3310c3c9cae34c4cd23bb00f27f0103d
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Thu Nov 10 19:54:53 2011 +0100

    Updated POTFILES.in

 po/POTFILES.in |   21 +++++++++++----------
 1 files changed, 11 insertions(+), 10 deletions(-)

commit 6d4f105ab251282e8d6453df5b585646e4bafdcf
Author: Rico Tzschichholz <ricotz@t-online.de>
Date:   Thu Nov 10 19:02:19 2011 +0100

    po: update POTFILES.in

 po/POTFILES.in |    1 -
 1 files changed, 0 insertions(+), 1 deletions(-)

commit b12a94dc272b0b4c9c3ec5e9de5845cd24a2f09a
Author: Rico Tzschichholz <ricotz@t-online.de>
Date:   Thu Nov 10 19:01:48 2011 +0100

    docs: fix some headers paths

 clutter/cex100/clutter-cex100.h.in |    2 +-
 doc/reference/clutter/Makefile.am  |    5 +++--
 2 files changed, 4 insertions(+), 3 deletions(-)

commit 821ccef55562798bcda64ecc3d4b3f6252867d8b
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Thu Nov 10 17:59:17 2011 +0000

    build: Disable evdev input by default
    
    It's an experimental input backend, so it should be enabled explicitly.

 README.in    |    4 ++--
 configure.ac |    4 ++--
 2 files changed, 4 insertions(+), 4 deletions(-)

commit 213e6e4a1606945b1e2bbb93289da31aea5edcbe
Author: Lionel Landwerlin <lionel.g.landwerlin@intel.com>
Date:   Thu Nov 10 15:41:41 2011 +0000

    evdev: do not associate device with stage
    
    Their might not be any stage at that time, so this avoids to create a
    default one.
    
    Signed-off-by: Emmanuele Bassi <ebassi@linux.intel.com>
    
    https://bugzilla.gnome.org/show_bug.cgi?id=651718

 clutter/evdev/clutter-device-manager-evdev.c |    5 -----
 1 files changed, 0 insertions(+), 5 deletions(-)

commit 5705d08b5d50901e2f752a505e7daab3e98696ae
Author: Lionel Landwerlin <lionel.g.landwerlin@linux.intel.com>
Date:   Fri Jun 17 11:31:34 2011 +0100

    evdev: don't even process events without a default stage
    
    The evdev system is a bit different from other input systems in
    Clutter because it's completly decorrelated from anything graphic.
    
    In the case of embedded devices with no proper windowing system, you
    might want to not implicitly create a default stage when you're
    receiving the first input event.
    
    This patch changes this behavior by not forwarding any event if you
    don't have a default stage.
    
    Signed-off-by: Lionel Landwerlin <lionel.g.landwerlin@linux.intel.com>
    
    https://bugzilla.gnome.org/show_bug.cgi?id=651718

 clutter/evdev/clutter-device-manager-evdev.c |   10 ++++++++++
 1 files changed, 10 insertions(+), 0 deletions(-)

commit b38773f4588f104e0dca8f235344d1599c0d560a
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Thu Nov 10 15:09:04 2011 +0000

    docs: Note default stage deprecation in README
    
    Mention the behaviour of Clutter when creating more than one stage on
    platforms that only support one stage instance.

 README.in |    6 ++++++
 1 files changed, 6 insertions(+), 0 deletions(-)

commit 26aa4b5290c65984a0512a0ba4a30ab777628269
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Wed Nov 9 17:49:25 2011 +0000

    docs: Remove clutter_stage_get_default()
    
    A lot of the example code in the cookbook and the API reference still
    uses the default stage — sometimes as if it were a non-default one,
    which once again demonstrates how the default stage was a flawed concept
    that just confused people.

 clutter/clutter-actor.c                            |    2 +-
 .../examples/animations-looping-animator.c         |    2 +-
 .../examples/animations-looping-implicit.c         |    2 +-
 doc/cookbook/examples/animations-looping-state.c   |    2 +-
 doc/cookbook/examples/animations-moving-animator.c |    2 +-
 doc/cookbook/examples/animations-moving-implicit.c |    2 +-
 doc/cookbook/examples/animations-moving-state.c    |    2 +-
 doc/cookbook/examples/animations-rotating.c        |    2 +-
 doc/cookbook/examples/animations-scaling-zoom.c    |    2 +-
 doc/cookbook/examples/animations-scaling.c         |    2 +-
 doc/cookbook/examples/events-buttons-click.c       |    2 +-
 doc/cookbook/examples/events-buttons-lasso.c       |    2 +-
 doc/cookbook/examples/events-buttons.c             |    2 +-
 doc/cookbook/examples/events-mouse-scroll.c        |    3 ++-
 .../examples/events-pointer-motion-crossing.c      |    2 +-
 .../examples/events-pointer-motion-scribbler.c     |    3 ++-
 .../examples/events-pointer-motion-stacked.c       |    3 ++-
 doc/cookbook/examples/events-pointer-motion.c      |    3 ++-
 .../examples/layouts-bind-constraint-allocation.c  |    2 +-
 doc/cookbook/examples/layouts-box-menu.c           |    2 +-
 .../examples/layouts-box-property-effects.c        |    2 +-
 doc/cookbook/examples/layouts-box.c                |    2 +-
 .../examples/layouts-stacking-diff-sized-actors.c  |    3 ++-
 doc/cookbook/examples/layouts-stacking.c           |    3 ++-
 doc/cookbook/examples/textures-crossfade-cogl.c    |    2 +-
 .../examples/textures-crossfade-slideshow.c        |    2 +-
 doc/cookbook/examples/textures-crossfade.c         |    2 +-
 doc/cookbook/examples/textures-split-go.c          |    3 ++-
 doc/cookbook/examples/textures-sub-texture.c       |    3 ++-
 .../clutter/clutter-animation-tutorial.xml         |    3 ++-
 30 files changed, 39 insertions(+), 30 deletions(-)

commit 0c18dc6bf90cf521327869738b206274584c695e
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Wed Nov 9 17:12:45 2011 +0000

    stage: Deprecate the default stage
    
    Deprecate the clutter_stage_get_default() function, as well as the
    clutter_stage_is_default() one, and replace its internal usage.

 clutter/clutter-stage.c            |   38 +++++++++++++++++++++++------------
 clutter/clutter-stage.h            |    2 -
 clutter/deprecated/clutter-stage.h |    6 +++++
 3 files changed, 31 insertions(+), 15 deletions(-)

commit 2288d708e2f6ad9f8348f738a44cc7d29cf95530
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Wed Nov 9 17:09:37 2011 +0000

    script: Do not use clutter_stage_get_default()
    
    It's about to go away, so we should use the StageManager API instead.

 clutter/clutter-script-parser.c |    7 ++++++-
 1 files changed, 6 insertions(+), 1 deletions(-)

commit b1ccd262b1a8ba01d214090052f99ef408bff299
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Wed Nov 9 17:03:30 2011 +0000

    cally/actor: Do not use the default stage as a fallback
    
    Using the default stage as a fallback is wrong in all circumstances.
    
    In this specific case, if an actor is not associated to a stage then it
    cannot possibly be the key focus.

 clutter/cally/cally-actor.c |   14 ++++++--------
 1 files changed, 6 insertions(+), 8 deletions(-)

commit 26f44673922bc3d0b854bdcb0c519f1a62bd433a
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Wed Nov 9 14:04:05 2011 +0000

    Try to mop up the default stage mess
    
    The default stage was a neat concept when we started Clutter out,
    somewhere in the Jurassic era; a singleton instance that gets created at
    initialization time, and remains the same for the entire duration of the
    process.
    
    Worked well enough when Clutter was a small library meant to be used to
    write fullscreen media browsers, but since the introduction of multiple
    stages, and Clutter being used to create all sorts of applications, the
    default stage is just a vestigial remainder of that past, like an
    appendix; something that complicates the layout of the code and
    introduces weird behaviour, so that you notice its existence only when
    something goes wrong.
    
    Some platforms we do support, though, only have one framebuffer, so it
    makes sense for them to have only one stage.
    
    At this point, the only sane thing to do is to go through the same code
    paths on all platforms, and that code path is the stage instance
    creation and initialization — i.e. clutter_stage_new() (or
    g_object_new() with CLUTTER_TYPE_STAGE).
    
    For platforms that support multiple stages, nothing has changed: the stage
    created by clutter_stage_get_default() will be set as the default one;
    if nobody calls it, the default stage is never created, and it just
    lives on as a meaningless check.
    
    For platforms that only support one stage, clutter_stage_new() and
    clutter_stage_get_default() will behave exactly the same the first time
    they are called: both will create a stage, and set it as the default.
    Calling clutter_stage_new() a second time is treated as a programmer
    error, and will result in Clutter aborting. This is a behavioural change
    because the existing behaviour or creating a new ClutterStage instance
    with the same ClutterStageWindow private implementation is, simply put,
    utterly braindamaged and I should have *never* had written it, and I
    apologize for it. In my defence, I didn't know any better at the time.
    
    This is the first step towards the complete deprecation of
    clutter_stage_get_default() and clutter_stage_is_default(), which will
    come later.

 clutter/clutter-backend.c |    5 --
 clutter/clutter-stage.c   |  114 +++++++++++++++++++++++++++++++--------------
 2 files changed, 79 insertions(+), 40 deletions(-)

commit 5903fcc36db8ea3115471aaf04322a7cae7cdfc2
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Wed Nov 9 13:52:03 2011 +0000

    performance/*: Do not use clutter_stage_get_default()

 tests/performance/test-picking.c           |    9 +++++----
 tests/performance/test-state-hidden.c      |    7 ++++---
 tests/performance/test-state-interactive.c |    6 +++---
 tests/performance/test-state-mini.c        |    7 ++++---
 tests/performance/test-state-pick.c        |    7 ++++---
 tests/performance/test-state.c             |    7 ++++---
 tests/performance/test-text-perf.c         |    4 +++-
 7 files changed, 27 insertions(+), 20 deletions(-)

commit 7c180a074275ce0eb06165bb6eba83273b5056d2
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Wed Nov 9 13:41:15 2011 +0000

    interactive/*: Do not use clutter_stage_get_default()

 tests/conform/test-score.c                  |    4 +-
 tests/conform/test-timeline.c               |    5 +-
 tests/interactive/test-actor-clone.c        |   34 ++++++++++----
 tests/interactive/test-animation.c          |    7 ++-
 tests/interactive/test-animator.c           |   11 +++--
 tests/interactive/test-bin-layout.c         |   11 ++++-
 tests/interactive/test-binding-pool.c       |    9 +++-
 tests/interactive/test-box-layout.c         |    9 +++-
 tests/interactive/test-cairo-flowers.c      |   46 ++++++++++++------
 tests/interactive/test-clip.c               |   10 ++++-
 tests/interactive/test-cogl-multitexture.c  |   17 +++++--
 tests/interactive/test-cogl-offscreen.c     |   67 +++++++++++++++++----------
 tests/interactive/test-cogl-point-sprites.c |   14 ++++--
 tests/interactive/test-cogl-primitives.c    |   11 ++++-
 tests/interactive/test-cogl-tex-convert.c   |   13 ++++-
 tests/interactive/test-cogl-tex-foreign.c   |   13 ++++-
 tests/interactive/test-cogl-tex-getset.c    |   13 ++++-
 tests/interactive/test-cogl-tex-polygon.c   |   11 ++++-
 tests/interactive/test-cogl-tex-tile.c      |   11 ++++-
 tests/interactive/test-cogl-vertex-buffer.c |   38 +++++++++++----
 tests/interactive/test-events.c             |   61 ++++++++++++------------
 tests/interactive/test-fbo.c                |   10 ++++-
 tests/interactive/test-flow-layout.c        |    9 +++-
 tests/interactive/test-fullscreen.c         |   20 ++++++--
 tests/interactive/test-grab.c               |   14 ++++-
 tests/interactive/test-layout.c             |   10 ++++-
 tests/interactive/test-main.c               |   10 ++++-
 tests/interactive/test-multistage.c         |    6 ++-
 tests/interactive/test-paint-wrapper.c      |   27 ++++++++++-
 tests/interactive/test-pixmap.c             |   10 ++++-
 tests/interactive/test-scale.c              |   11 ++++-
 tests/interactive/test-stage-read-pixels.c  |   10 ++++-
 tests/interactive/test-stage-sizing.c       |   10 ++++-
 tests/interactive/test-state-animator.c     |   15 +++++-
 tests/interactive/test-state.c              |   23 ++++++---
 tests/interactive/test-swipe-action.c       |   11 ++++-
 tests/interactive/test-table-layout.c       |    5 +-
 tests/interactive/test-text.c               |   20 +++++---
 tests/interactive/test-texture-quality.c    |   14 ++++-
 tests/interactive/test-texture-slicing.c    |    9 +++-
 tests/interactive/test-unproject.c          |   14 ++++--
 41 files changed, 491 insertions(+), 182 deletions(-)

commit 6ed879b84cad6b8b69403813acdd811de98e9f00
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Wed Nov 9 10:55:49 2011 +0000

    Merge with a11y

 tests/accessibility/cally-atkcomponent-example.c   |    2 ++
 .../accessibility/cally-atkeditabletext-example.c  |   17 +++++++----------
 tests/accessibility/cally-atkevents-example.c      |   12 +++++-------
 tests/accessibility/cally-atktext-example.c        |    4 +---
 tests/accessibility/cally-clone-example.c          |    3 +--
 5 files changed, 16 insertions(+), 22 deletions(-)

commit 93eb0bfe328598fe37a6469cd43ba8fa59ae147e
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Nov 8 17:23:52 2011 +0000

    micro-bench/*: Do not use clutter_stage_get_default()

 tests/micro-bench/test-cogl-perf.c   |   14 ++++++--------
 tests/micro-bench/test-picking.c     |   10 ++++++----
 tests/micro-bench/test-random-text.c |    5 ++++-
 tests/micro-bench/test-text-perf.c   |    6 +++---
 tests/micro-bench/test-text.c        |   11 ++++++-----
 5 files changed, 25 insertions(+), 21 deletions(-)

commit a5522b707ecb719d05e57702b65be1a2cec250ac
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Nov 8 17:11:34 2011 +0000

    accessibility/*: Do not use clutter_stage_get_default()

 tests/accessibility/cally-atkcomponent-example.c   |    3 ++-
 .../accessibility/cally-atkeditabletext-example.c  |    6 +++---
 tests/accessibility/cally-atkevents-example.c      |   16 +++++++++++-----
 tests/accessibility/cally-atktext-example.c        |    7 +++++--
 tests/accessibility/cally-clone-example.c          |    8 ++++++--
 5 files changed, 27 insertions(+), 13 deletions(-)

commit deba576dd1ad5ca55c713dcc808e91adf9d2f1df
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Nov 8 17:04:44 2011 +0000

    conform/*: Do not use clutter_stage_get_default()
    
    Use the correct stage creation/destruction API.

 tests/conform/test-actor-invariants.c              |   44 +++++++++++------
 tests/conform/test-anchors.c                       |    4 +-
 tests/conform/test-cally-text.c                    |    8 ++--
 tests/conform/test-clutter-cairo-texture.c         |    4 +-
 tests/conform/test-clutter-texture.c               |    4 +-
 tests/conform/test-cogl-backface-culling.c         |    5 +-
 tests/conform/test-cogl-blend-strings.c            |    5 +-
 tests/conform/test-cogl-depth-test.c               |    5 +-
 tests/conform/test-cogl-just-vertex-shader.c       |    7 ++-
 tests/conform/test-cogl-materials.c                |    5 +-
 tests/conform/test-cogl-multitexture.c             |    4 +-
 tests/conform/test-cogl-npot-texture.c             |   20 +++++---
 tests/conform/test-cogl-offscreen.c                |    8 +--
 tests/conform/test-cogl-path.c                     |    5 +-
 tests/conform/test-cogl-pipeline-user-matrix.c     |    4 +-
 tests/conform/test-cogl-pixel-buffer.c             |    8 +--
 tests/conform/test-cogl-premult.c                  |    5 +-
 tests/conform/test-cogl-primitive.c                |    5 +-
 tests/conform/test-cogl-readpixels.c               |    8 +--
 tests/conform/test-cogl-sub-texture.c              |    8 +--
 tests/conform/test-cogl-texture-3d.c               |    6 +-
 tests/conform/test-cogl-texture-get-set-data.c     |    4 +-
 tests/conform/test-cogl-texture-mipmaps.c          |    5 +-
 tests/conform/test-cogl-texture-pixmap-x11.c       |   52 ++++++++++----------
 tests/conform/test-cogl-texture-rectangle.c        |    4 +-
 tests/conform/test-cogl-vertex-buffer-contiguous.c |    5 +-
 tests/conform/test-cogl-vertex-buffer-interleved.c |    5 +-
 tests/conform/test-cogl-vertex-buffer-mutability.c |    5 +-
 tests/conform/test-cogl-viewport.c                 |    8 +--
 tests/conform/test-cogl-wrap-modes.c               |    4 +-
 tests/conform/test-conform-main.c                  |    1 +
 tests/conform/test-offscreen-redirect.c            |    4 +-
 tests/conform/test-paint-opacity.c                 |   14 ++---
 tests/conform/test-pick.c                          |    5 +-
 tests/conform/test-score.c                         |    2 +-
 tests/conform/test-shader-effect.c                 |    4 +-
 tests/conform/test-text-cache.c                    |    4 +-
 tests/conform/test-texture-fbo.c                   |   20 ++------
 38 files changed, 167 insertions(+), 151 deletions(-)

commit 89644ae0488951015e44e864a3cc6840c207357c
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Mon Nov 7 19:06:22 2011 +0000

    docs: Update the release notes in the README

 README.in |   79 +++++++++++++++++++++++++++++++++++++++++++++++++++++-------
 1 files changed, 69 insertions(+), 10 deletions(-)

commit 6d68ac2e8bf6f1210c7692748e27c989213e6ba7
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Mon Nov 7 14:48:48 2011 +0000

    osx: Clean up the backend implementation
    
    Instead of implementing create_stage() and a constructor for
    ClutterStageOSX, we can use the default implementations in
    ClutterBackend, and spare us some code duplication.

 clutter/osx/clutter-backend-osx.c |   27 ++++-----------------------
 clutter/osx/clutter-stage-osx.c   |   33 +++++++++------------------------
 clutter/osx/clutter-stage-osx.h   |    3 ---
 3 files changed, 13 insertions(+), 50 deletions(-)

commit 88b27beea465a6e790ad78ce7ca3a07e8521f7db
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Mon Nov 7 14:44:37 2011 +0000

    wayland/backend: Remove create_stage()
    
    The create_stage() implementation in ClutterBackendWayland isn't doing
    anything special, so we can fall back to the default one.

 clutter/wayland/clutter-backend-wayland.c |   19 -------------------
 1 files changed, 0 insertions(+), 19 deletions(-)

commit 7472c07c41db28591da46b3e437fc97b799787a2
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Fri Nov 4 19:49:45 2011 +0000

    build: Clean up the configuration summary
    
    List the input backends, and remove the EGL backend options.

 configure.ac |   31 ++++++++++++++++++++++++++-----
 1 files changed, 26 insertions(+), 5 deletions(-)

commit 17c89bd0a0aba8fa400c591b8cc8934f5b8ec901
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Fri Nov 4 19:25:54 2011 +0000

    backend: Clean up the device manager creation
    
    Create the device manager during the event initialization, where it
    makes sense.
    
    This allows us to get rid of the per-backend get_device_manager()
    virtual function, and just store the DeviceManager pointer into the
    ClutterBackend structure.

 clutter/cex100/clutter-backend-cex100.c      |   25 ------------------------
 clutter/clutter-backend-private.h            |   10 +++++---
 clutter/clutter-backend.c                    |   13 ++++++++++++
 clutter/clutter-device-manager.c             |    7 +----
 clutter/egl/clutter-backend-eglnative.c      |   26 -------------------------
 clutter/evdev/clutter-device-manager-evdev.c |   12 ++--------
 clutter/gdk/clutter-backend-gdk.c            |   25 +++++++----------------
 clutter/osx/clutter-backend-osx.c            |   27 +++----------------------
 clutter/win32/clutter-backend-win32.c        |   19 +-----------------
 clutter/x11/clutter-backend-x11.c            |   13 +----------
 10 files changed, 39 insertions(+), 138 deletions(-)

commit cd1e8da07fd437a0368c198a3ee2a16569ce7699
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Fri Nov 4 19:01:32 2011 +0000

    */backend: Clean up the stage creation
    
    Use the default implementation of create_stage() wherever possible.

 clutter/cex100/clutter-backend-cex100.c |   27 ---------------------------
 clutter/cex100/clutter-backend-cex100.h |    3 ---
 clutter/egl/clutter-backend-eglnative.c |   27 ---------------------------
 clutter/egl/clutter-backend-eglnative.h |    3 ---
 clutter/gdk/clutter-backend-gdk.c       |   12 ------------
 clutter/win32/clutter-backend-win32.c   |   20 --------------------
 6 files changed, 0 insertions(+), 92 deletions(-)

commit 828ca2982f0f7b6974283921d59c65929385da8f
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Fri Nov 4 19:00:49 2011 +0000

    backend: Provide a default create_stage()
    
    We can now safely create a ClutterStageWindow in the shared code path,
    instead of deferring to the backend.

 clutter/clutter-backend.c |   32 ++++++++++++++++++++++++++++++++
 1 files changed, 32 insertions(+), 0 deletions(-)

commit 9c038ebefb88cd052c1dc9448c58d2d5a9a9bfc7
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Fri Nov 4 18:50:46 2011 +0000

    stage-window: Add :backend and :wrapper properties
    
    All StageWindow implementation already have back pointers, but we need a
    unified API to actually set them from the generic code path; we can use
    properties on the StageWindow interface — though this requires fixing
    all backends at the same time, to avoid GObject complaining.

 clutter/clutter-stage-window.c          |   19 +++++++++++++
 clutter/cogl/clutter-stage-cogl.c       |   15 +---------
 clutter/osx/clutter-stage-osx.c         |   46 ++++++++++++++++++++++++++++---
 clutter/wayland/clutter-stage-wayland.c |   37 +++++++++++++++++++++++++
 clutter/win32/clutter-stage-win32.c     |   35 +++++++++++++++++++++++
 5 files changed, 135 insertions(+), 17 deletions(-)

commit f3c89e82b3ab47b29cf5bf59418ca0f473624c2f
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Fri Nov 4 18:50:02 2011 +0000

    gdk/backend: Fix an invalid chain up

 clutter/gdk/clutter-backend-gdk.c |    3 +--
 1 files changed, 1 insertions(+), 2 deletions(-)

commit b980d2dc17f84b4c5e99f9f850feb3ac47de2439
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Fri Nov 4 18:27:08 2011 +0000

    */backend: Store the StageWindow implementation type

 clutter/cex100/clutter-backend-cex100.c   |    2 ++
 clutter/egl/clutter-backend-eglnative.c   |    2 ++
 clutter/gdk/clutter-backend-gdk.c         |    3 +++
 clutter/osx/clutter-backend-osx.c         |    2 ++
 clutter/wayland/clutter-backend-wayland.c |    2 ++
 clutter/win32/clutter-backend-win32.c     |   10 ++++++----
 clutter/x11/clutter-backend-x11.c         |    4 ++++
 7 files changed, 21 insertions(+), 4 deletions(-)

commit 6082be409ee3f64770170e73323a2df5b50084c2
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Fri Nov 4 18:26:33 2011 +0000

    backend: Store the type of the StageWindow implementation
    
    We can use it later on to create it and provide a default create_stage()
    implementation.

 clutter/clutter-backend-private.h |    2 ++
 clutter/clutter-backend.c         |    2 ++
 2 files changed, 4 insertions(+), 0 deletions(-)

commit 04a2b5f42b0bee41dbb6968b98551bb0fa079548
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Fri Nov 4 17:49:25 2011 +0000

    egl/backend: Clean up
    
    The "EGL native" backend is just a short-hand for a pure Cogl backend,
    using whatever input mechanism was enabled at run-time.

 clutter/egl/clutter-backend-eglnative.c |  136 +------------------------------
 clutter/egl/clutter-egl.h               |    5 -
 2 files changed, 2 insertions(+), 139 deletions(-)

commit 89e26497de8f3f05fbaf409436c4ee92f5d3669c
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Fri Nov 4 17:44:55 2011 +0000

    Add a CEx100-specific backend
    
    Instead of piggybacking on the EGL backend, let's create a small
    ClutterBackend for the CEx100 platforms. This allows us to handle the
    CEx100-specific details in a much cleaner way.

 .gitignore                              |    2 +-
 clutter/Makefile.am                     |   11 +-
 clutter/cex100/clutter-backend-cex100.c |  264 +++++++++++++++++++++++++++++++
 clutter/cex100/clutter-backend-cex100.h |   74 +++++++++
 clutter/cex100/clutter-cex100.h.in      |   68 ++++++++
 clutter/egl/clutter-cex100.h.in         |   91 -----------
 configure.ac                            |  134 ++++++++--------
 7 files changed, 484 insertions(+), 160 deletions(-)

commit 5c9cafb411961fbd9117e86c6e8ca636f91fb158
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Fri Nov 4 16:52:44 2011 +0000

    cogl/backend: Remove the ClutterBackendCogl class
    
    All the functionality that ClutterBackendCogl provided has been moved
    into ClutterBackend itself, so there is no need to have this class
    around in the source.
    
    Cogl-based backends can derive directly from ClutterBackend.

 clutter/Makefile.am                     |    2 -
 clutter/cogl/clutter-backend-cogl.c     |  111 -------------------------------
 clutter/cogl/clutter-backend-cogl.h     |   68 -------------------
 clutter/cogl/clutter-stage-cogl.c       |   10 ++--
 clutter/cogl/clutter-stage-cogl.h       |    8 +--
 clutter/egl/clutter-backend-eglnative.c |    2 +-
 clutter/egl/clutter-backend-eglnative.h |    5 +-
 clutter/gdk/clutter-backend-gdk.c       |    2 +-
 clutter/gdk/clutter-backend-gdk.h       |    5 +-
 clutter/x11/clutter-backend-x11.c       |    2 +-
 clutter/x11/clutter-backend-x11.h       |    5 +-
 clutter/x11/clutter-stage-x11.c         |    5 +-
 12 files changed, 19 insertions(+), 206 deletions(-)

commit 5ac0cf1c2852b0ad1cb58edc254bb787c6354e3c
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Fri Nov 4 16:41:52 2011 +0000

    cogl/backend: Remove pre/post_parse
    
    The CLUTTER_VBLANK environment variable is now handled in the common
    code path.

 clutter/cogl/clutter-backend-cogl.c |   38 -----------------------------------
 1 files changed, 0 insertions(+), 38 deletions(-)

commit db211a2131eed46bcecf8abc14822f2bd9a50812
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Fri Nov 4 16:39:52 2011 +0000

    Remove per-backend CLUTTER_VBLANK envvar
    
    We have a global flag we can use.

 clutter/cogl/clutter-backend-cogl.h   |    2 --
 clutter/cogl/clutter-stage-cogl.c     |    6 ++----
 clutter/win32/clutter-backend-win32.c |   24 ------------------------
 clutter/win32/clutter-backend-win32.h |    2 --
 clutter/win32/clutter-stage-win32.c   |    6 ++----
 clutter/x11/clutter-backend-x11.c     |    6 ++----
 6 files changed, 6 insertions(+), 40 deletions(-)

commit e8562089f692f5fa8bbf8c646d3c508244fd3d14
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Fri Nov 4 16:35:38 2011 +0000

    main: Add a sync-to-vblank global flag
    
    It replaces the per-backend CLUTTER_VBLANK environment variable.

 clutter/clutter-main.c    |   21 +++++++++++++++++++++
 clutter/clutter-private.h |    2 ++
 2 files changed, 23 insertions(+), 0 deletions(-)

commit 80fdbeb9543e0de18ac28f8cae28c42f2e18942e
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Fri Nov 4 16:13:04 2011 +0000

    backend: Provide a default get_features() implementation
    
    Continue gutting ClutterBackendCogl; get_features() is the last bit that
    still does something, but now we can use the Cogl API.

 clutter/clutter-backend.c             |   34 +++++++++++++++++++++++++++
 clutter/cogl/clutter-backend-cogl.c   |   41 ---------------------------------
 clutter/cogl/clutter-stage-cogl.c     |   15 +++++------
 clutter/gdk/clutter-backend-gdk.c     |    8 ++++--
 clutter/win32/clutter-backend-win32.c |   28 ++--------------------
 5 files changed, 49 insertions(+), 77 deletions(-)

commit b97324ee9f8684a0388cacc2e00ea1a2da16e5cc
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Fri Nov 4 15:57:01 2011 +0000

    win32/backend: Use the default context creation
    
    The win32 backend doesn't do anything special on context creation, so we
    can just use the default implementation provided by ClutterBackend.

 clutter/win32/clutter-backend-win32.c |   59 ---------------------------------
 1 files changed, 0 insertions(+), 59 deletions(-)

commit 6ec7a28802999b24f1d07dfb73a8a4e670596a42
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Fri Nov 4 15:54:58 2011 +0000

    gdk/backend: Use the context creation hooks
    
    Same as it has happened to the X11 backend.

 clutter/gdk/clutter-backend-gdk.c |  128 ++++++++++++++++++++-----------------
 1 files changed, 69 insertions(+), 59 deletions(-)

commit 68e8ef0103af438749660a0346267688b27b05c2
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Fri Nov 4 15:53:47 2011 +0000

    x11/backend: Use the context creation hooks
    
    Don't replace create_context(): given that the X11 backend already uses
    Cogl for the context creation, we can just provide the right data
    structures ourselves.

 clutter/x11/clutter-backend-x11.c |  113 ++++++++++++++-----------------------
 1 files changed, 43 insertions(+), 70 deletions(-)

commit a918ac92cb2278a8ebbc118f55443e4974dd696f
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Fri Nov 4 15:50:47 2011 +0000

    backend: Provide a default create_context()
    
    Since we use Cogl for the context creation we can now provide a default
    context creation that should just work, plus a couple of hooks to allow
    plugging into the creation sequence for platforms supported by Cogl that
    require special handling — like foreign displays or alpha-enabled swap
    chains.
    
    The various backends have now two choices: either replace the
    create_context() in its entirety, or plug themselves into the default
    context creation.

 clutter/clutter-backend-private.h |    6 ++
 clutter/clutter-backend.c         |  114 ++++++++++++++++++++++++++++++++++++-
 2 files changed, 117 insertions(+), 3 deletions(-)

commit 5b1b936491c89b75c211584e77946d3dea0c5f81
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Fri Nov 4 12:21:11 2011 +0000

    backend: Fix up the input backend detection ordering
    
    And add a missing 'else' in the OSX check, to avoid a g_error().

 clutter/clutter-backend.c |   17 +++++++++--------
 1 files changed, 9 insertions(+), 8 deletions(-)

commit 1f8915d2c89cced191fbd94bdb5dd6833d942584
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Thu Nov 3 18:27:09 2011 +0000

    Add a 'null' input backend symbol
    
    We should have an input backend symbol that thoroughly disables all
    input event handling.

 clutter/clutter-backend.c |    8 +++++++-
 configure.ac              |    4 ++++
 2 files changed, 11 insertions(+), 1 deletions(-)

commit adb6ffbd0e67f1f43a7fbcd8df53a94fb7b241e8
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Thu Nov 3 17:53:54 2011 +0000

    backend: Unify the event initialization
    
    Input backends are, in some cases, independent from the windowing system
    backends; we can initialize input handling using a model similar to what
    we use for windowing backends, including an environment variable and
    compile-/run-time checks.
    
    This model allows us to remove the backend-specific init_events(), and
    use a generic implementation directly inside the base ClutterBackend
    class, thus further reducing the backend-specific code that every
    platform has to implement.
    
    This requires some minor surgery to every single backend, to make sure
    that the function exposed to initialize the event loop is similar and
    performs roughly the same operations.

 clutter/clutter-backend.c                 |   85 ++++++++++++++-
 clutter/egl/clutter-backend-eglnative.c   |   26 -----
 clutter/gdk/clutter-backend-gdk.c         |   24 ++---
 clutter/gdk/clutter-backend-gdk.h         |    4 +-
 clutter/gdk/clutter-event-gdk.c           |   21 ----
 clutter/osx/clutter-backend-osx.c         |   11 +-
 clutter/osx/clutter-backend-osx.h         |    6 +-
 clutter/osx/clutter-event-osx.c           |   14 ---
 clutter/wayland/clutter-backend-wayland.c |    6 -
 clutter/x11/clutter-backend-x11-private.h |   32 ------
 clutter/x11/clutter-backend-x11.c         |   58 ++++++----
 clutter/x11/clutter-backend-x11.h         |   35 +++----
 clutter/x11/clutter-event-x11.c           |  173 +++++++----------------------
 configure.ac                              |   12 ++-
 14 files changed, 205 insertions(+), 302 deletions(-)

commit 84d208b2c6c774a27d7d00ef5136bf31ebe82310
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Thu Nov 3 16:48:20 2011 +0000

    win32/backend: Remove ensure_context()
    
    We have a fallback, now.

 clutter/win32/clutter-backend-win32.c |   11 -----------
 1 files changed, 0 insertions(+), 11 deletions(-)

commit 672ab70144b9270535f6371ae79921d72cbada58
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Thu Nov 3 16:47:57 2011 +0000

    win32/stage: Implement get_active_framebuffer()

 clutter/win32/clutter-stage-win32.c |    9 +++++++++
 1 files changed, 9 insertions(+), 0 deletions(-)

commit 42af690255f2b32af6a778df312211001a2c1fc2
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Thu Nov 3 16:47:18 2011 +0000

    wayland/backend: Remove empty ensure_context()
    
    There is a default fallback, now.

 clutter/wayland/clutter-backend-wayland.c |    7 -------
 1 files changed, 0 insertions(+), 7 deletions(-)

commit 0c02e8adb31413e4d19c101a94da91834558b9b3
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Thu Nov 3 16:46:48 2011 +0000

    cogl/backend: Remove ensure_context()
    
    We have a default implementation for it, now.

 clutter/cogl/clutter-backend-cogl.c |   17 -----------------
 1 files changed, 0 insertions(+), 17 deletions(-)

commit 790c0d1f9128ea64b84db944ef2ac853bfd8e057
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Thu Nov 3 16:45:56 2011 +0000

    backend: Provide an implementation of ensure_backend()
    
    We can do it for all Cogl-based backends.

 clutter/clutter-backend.c |   24 ++++++++++++++++++++++++
 1 files changed, 24 insertions(+), 0 deletions(-)

commit e374c2bd8922049ab9c0e285baf21e56641ec974
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Thu Nov 10 14:15:32 2011 +0000

    conform/color: Check invalid strings
    
    We need to make sure to fail consistently for invalid strings.

 tests/conform/test-color.c        |   20 ++++++++++++++++++--
 tests/conform/test-conform-main.c |    3 ++-
 2 files changed, 20 insertions(+), 3 deletions(-)

commit 0550a8b99d0589ef9a196c6787577a0975014f3f
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Thu Nov 10 14:13:45 2011 +0000

    color: Validate hex formats
    
    Right now, we pass through to Pango unrecognized hexadecimal formats
    when parsing colors from strings. Since we parse all possible formats
    ourselves, we can do validation ourselves as well, and avoid the Pango
    path.

 clutter/clutter-color.c |   26 +++++++++++++++-----------
 1 files changed, 15 insertions(+), 11 deletions(-)

commit 889a1f44f422224c4d652256197b6358d2b74fc4
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Thu Nov 10 12:56:47 2011 +0000

    conform/color: Test hsla() format

 tests/conform/test-color.c |   14 ++++++++++++++
 1 files changed, 14 insertions(+), 0 deletions(-)

commit b96773f9c9b3c397ade8e88b3b3523e63732843f
Author: Jasper St. Pierre <jstpierre@mecheye.net>
Date:   Wed Nov 9 16:37:32 2011 -0500

    clutter-stage-x11: Make sure to set geometry x and y
    
    Otherwise, we could be dealing with uninitialized values, causing
    havoc all over the place.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=663733

 clutter/x11/clutter-stage-x11.c |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit 33303f92f3c3d164ab8c477d99af25e10e9520c2
Author: Craig R. Hughes <craig.git@rungie.com>
Date:   Mon Nov 7 17:00:45 2011 -0800

    Minor whitespace fix for clutter color parsing of hsla(h,s,l,a)
    
    Previously, if there was whitespace between "l" and the comma before the
    alpha value, parsing would fail.  This patch allows that whitespace
    making it consistent with whitespace being allowed everywhere else.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=663594

 clutter/clutter-color.c |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit d596401a3c1f88d396c06702ed488328ff4d1bd8
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Fri Nov 4 07:14:47 2011 -0400

    cally: Use the proper role for password entries
    
    https://bugzilla.gnome.org/show_bug.cgi?id=663332

 clutter/cally/cally-text.c |   12 +++++++++++-
 1 files changed, 11 insertions(+), 1 deletions(-)

commit 7b5e5b772740a4067925f39be85cd9e9e8438479
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Wed Nov 9 09:09:37 2011 +0000

    main: Add a debug note when reading the settings file
    
    So that's easier to track in the debug log.

 clutter/clutter-main.c |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit 63dbcc245c0edc92c235374d7918b4a26c4d1158
Merge: bf8f1af ba8d682
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Wed Nov 9 00:30:32 2011 +0800

    Merge branch 'master' into msvc-support-master

commit ba8d682c0900afd0ef14acc8fe7083d4137f4b63
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Nov 8 14:46:55 2011 +0000

    actor: Deprecate [sg]et_geometry()
    
    These methods are short-hands for accessing the position and size,
    which are already shorthands for accessing the various dimensional
    and positional attributes. Plus, they use ClutterGeometry, which is a
    fairly bad data type for a rectangle.

 clutter/clutter-actor.c            |    9 ++++++++-
 clutter/clutter-actor.h            |    4 ----
 clutter/deprecated/clutter-actor.h |   11 +++++++++--
 3 files changed, 17 insertions(+), 7 deletions(-)

commit 101f39ea922687427c5cf2a69a18d171f289fe6e
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Nov 8 14:46:16 2011 +0000

    Replace usage of [sg]et_geometry()
    
    The set_geometry() and get_geometry() methods are going to be
    deprecated.

 clutter/win32/clutter-stage-win32.c              |    2 +-
 clutter/x11/clutter-stage-x11.c                  |    2 +-
 tests/accessibility/cally-atkcomponent-example.c |   44 ++++++++--------------
 tests/accessibility/cally-atkevents-example.c    |   22 ++++++-----
 tests/accessibility/cally-clone-example.c        |    4 +-
 tests/conform/test-pick.c                        |    9 +++-
 6 files changed, 38 insertions(+), 45 deletions(-)

commit 4fe7a77302ed0de7a977916e83e4b62244b99275
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Nov 8 14:20:32 2011 +0000

    Replace ClutterGeometry with cairo_rectangle_int_t
    
    We still use ClutterGeometry internally in a couple of places, but we
    should really move away from that flawed rectangle data type, and use
    the Cairo one.
    
    Sadly, we still have some public API that we cannot remove yet.

 clutter/win32/clutter-stage-win32.c |    2 +-
 clutter/x11/clutter-stage-x11.c     |    2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit 76e85f68eaec4307ba27cd45e99072d78ee5b8e6
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Nov 8 11:19:22 2011 +0000

    build: Remove mention of missing file
    
    There is no clutter-event-gdk.h in the build.

 clutter/Makefile.am |    1 -
 1 files changed, 0 insertions(+), 1 deletions(-)

commit 67d5a4993c6459461ab486ed394f110ede4a5cc8
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Mon Nov 7 20:24:13 2011 +0000

    main: Deprecate clutter_set_default_frame_rate()
    
    Setting the default frame rate does not do anything even remotely
    useful, unless synchronization to the vertical refresh rate is also
    disabled - which can only be done through environment variable or
    through configuration file. Having a programmatic way to change the
    default frame rate is, thus, completely pointless.
    
    Changing the default frame rate through environment variable and
    configuration file is still allowed.

 clutter/clutter-main.c            |    9 ++-------
 clutter/clutter-main.h            |    5 ++---
 clutter/deprecated/clutter-main.h |    7 +++++--
 3 files changed, 9 insertions(+), 12 deletions(-)

commit bf8f1afb404c522dc54f31b8171b51453d591465
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Mon Nov 7 12:46:56 2011 +0800

    Update VS property sheets
    
    In response to the following moved to deprecated in the following commits:
    
    a39be454
    main: Move deprecated symbols to a separate header
    40d703a0
    backend: Move deprecated symbols to a separate header
    b19c9196
    actor: Move deprecated symbols into separate headers
    142cd0bf
    Move clutter-keysyms-compat.h to the deprecated section
    530b07f1
    Don't use a -deprecated suffix for headers
    11420a70
    group: Move deprecated macro into its own header
    98b467f9
    stage: Move the deprecated macros to a separate header

 build/win32/vs10/clutter.props  |   18 ++++++++++++++----
 build/win32/vs9/clutter.vsprops |   11 ++++++++---
 2 files changed, 22 insertions(+), 7 deletions(-)

commit bd9dbe870a9835d6bfc0b8832846936a5fa16e6a
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Mon Nov 7 12:44:44 2011 +0800

    Add GDK-specific symbols to clutter.symbols
    
    A GDK backend for clutter was added in commits 610a9c17
    (Add A new GDK backend) and f14cbf5b (gdk: Allow disabling event retrieval)
    
    These are not included in the Win32 builds for the moment as GDK3 is
    quite unstable on Windows at this time

 clutter/clutter.symbols |    9 +++++++++
 1 files changed, 9 insertions(+), 0 deletions(-)

commit 73fa9eec5f1ca248f16d15fd19e5e548655321d9
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Mon Nov 7 12:12:53 2011 +0800

    Update clutter-version.h.win32.in
    
    -Update clutter-version.h.win32.in to reflect the state of
     clutter-version.h.in commit 21a24c86 (updated in commit 8249e488)
    -Also add clutter_check_windowing_backend to clutter.symbols as a result.

 clutter/clutter-version.h.win32.in |    2 ++
 clutter/clutter.symbols            |    1 +
 2 files changed, 3 insertions(+), 0 deletions(-)

commit bb9e452a36d7a4fe3ed2090c050d096c26aae988
Merge: 61c3b93 e0bfdbf
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Mon Nov 7 11:42:16 2011 +0800

    Merge branch 'master' into msvc-support-master

commit e0bfdbfeba82a77d0960f62957b3515792cefc90
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Fri Nov 4 12:03:13 2011 +0000

    osx/stage: Fix compilation
    
    We need to include clutter-stage-window.h.

 clutter/osx/clutter-stage-osx.h |    3 ++-
 1 files changed, 2 insertions(+), 1 deletions(-)

commit 61c3b9395ff167f2f1716e7c8fd59082c6e5ba49
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Fri Nov 4 12:01:51 2011 +0800

    Fix cally-atkevents-example VS projects
    
    Refer to $(srcroot)\clutter so that the correct Cally headers can be
    referenced

 build/win32/vs10/cally-atkevents-example.vcxproj |    4 ++++
 build/win32/vs9/cally-atkevents-example.vcproj   |    4 ++++
 2 files changed, 8 insertions(+), 0 deletions(-)

commit 6f8f8295c053bb8b61e83422d7e105b12ed0401c
Author: Colin Walters <walters@verbum.org>
Date:   Thu Nov 3 14:42:07 2011 -0400

    build: Ensure libdir exists before installing to it

 clutter/Makefile.am |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 683642ba545acaf78b13de3d5ffe07705dec348a
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Thu Nov 3 16:05:36 2011 +0000

    docs: Fixes for the API reference build

 clutter/clutter-layout-manager.c          |    1 -
 doc/reference/clutter/Makefile.am         |   25 ++++++++++++++++---------
 doc/reference/clutter/running-clutter.xml |    1 +
 3 files changed, 17 insertions(+), 10 deletions(-)

commit 53513f858633ae578b87e0c12f43cc77721c84e5
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Thu Nov 3 15:35:03 2011 +0000

    tests: Remove #undef CLUTTER_DISABLE_DEPRECATED
    
    We need to test deprecated API as well, and we don't use a guard any
    more in the build.

 tests/conform/test-behaviours.c          |    2 --
 tests/conform/test-score.c               |    2 --
 tests/conform/test-script-parser.c       |    2 --
 tests/interactive/test-actor-clone.c     |    1 -
 tests/interactive/test-actors.c          |    1 -
 tests/interactive/test-behave.c          |    1 -
 tests/interactive/test-depth.c           |    2 --
 tests/interactive/test-multistage.c      |    2 --
 tests/interactive/test-paint-wrapper.c   |    1 -
 tests/interactive/test-pixmap.c          |    1 -
 tests/interactive/test-scale.c           |    2 --
 tests/interactive/test-script.c          |    2 --
 tests/interactive/test-texture-quality.c |    2 --
 tests/interactive/test-threads.c         |    2 --
 14 files changed, 0 insertions(+), 23 deletions(-)

commit 7ab84f981c39952926ea408a817a1d8a88c615ea
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Thu Nov 3 15:32:53 2011 +0000

    Remove CLUTTER_DISABLE_DEPRECATED from the build flags
    
    We don't use it any more.

 clutter/Makefile.am               |    8 ++++----
 configure.ac                      |    2 +-
 doc/cookbook/examples/Makefile.am |    2 +-
 3 files changed, 6 insertions(+), 6 deletions(-)

commit 2403d4875b03c14169cf90e55d449ff46a75e23a
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Thu Nov 3 15:32:04 2011 +0000

    Remove CLUTTER_DISABLE_DEPRECATED guard
    
    Except for macros, we now entirely depend on the deprecation warnings
    instead of a guard.

 clutter/clutter-types.h              |    9 +++------
 clutter/clutter.h                    |    2 --
 clutter/deprecated/clutter-actor.h   |    1 -
 clutter/deprecated/clutter-keysyms.h |    4 ++++
 4 files changed, 7 insertions(+), 9 deletions(-)

commit 9ea2bb694ee4a72e1156194fa4bfc01b7c61a280
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Thu Nov 3 15:16:02 2011 +0000

    docs: Fix a wrongly named argument

 clutter/clutter-group.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 98b467f9b86555bb30e1d3855dce81f06bb42d89
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Thu Nov 3 15:13:54 2011 +0000

    stage: Move the deprecated macros to a separate header
    
    The clutter-stage.h header still has a bunch of macros that have, for
    reasons unknown[*], survived the 1.0 API cut and have long since been
    deprecated. Let's hide them under the deprecated/ carpet and let us
    never speak of them ever again.
    
    [*] pretty sure alcohol or other psychotropic substances were involved
    but I take the 5th on that.

 clutter/Makefile.am                |    1 +
 clutter/clutter-deprecated.h       |    1 +
 clutter/clutter-stage.h            |   39 -------------------------------
 clutter/deprecated/clutter-stage.h |   45 ++++++++++++++++++++++++++++++++++++
 4 files changed, 47 insertions(+), 39 deletions(-)

commit 0157615faeda3725bf4c8d63fb86c8850790ee90
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Thu Nov 3 15:03:16 2011 +0000

    build: Fix compilation

 clutter/deprecated/clutter-main.h |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 11420a705734ab3626754c550c942b0d66fd4200
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Thu Nov 3 15:02:35 2011 +0000

    group: Move deprecated macro into its own header

 clutter/Makefile.am                |    1 +
 clutter/clutter-deprecated.h       |    1 +
 clutter/clutter-group.c            |   15 ++++++----
 clutter/clutter-group.h            |   57 +++++++++--------------------------
 clutter/deprecated/clutter-group.h |   23 ++++++++++++++
 5 files changed, 49 insertions(+), 48 deletions(-)

commit 530b07f12beb392426427a3f2910656da2438f99
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Thu Nov 3 14:49:56 2011 +0000

    Don't use a -deprecated suffix for headers
    
    They are already in the deprecated/ directory, the suffix is redundant,
    and there is no chance of collision.

 clutter/Makefile.am                             |    6 +-
 clutter/clutter-deprecated.h                    |    6 +-
 clutter/deprecated/clutter-actor-deprecated.h   |   17 -------
 clutter/deprecated/clutter-actor.h              |   17 +++++++
 clutter/deprecated/clutter-backend-deprecated.h |   36 ----------------
 clutter/deprecated/clutter-backend.h            |   36 ++++++++++++++++
 clutter/deprecated/clutter-main-deprecated.h    |   52 -----------------------
 clutter/deprecated/clutter-main.h               |   52 +++++++++++++++++++++++
 8 files changed, 111 insertions(+), 111 deletions(-)

commit 142cd0bf82b3e10acc19d237db8da440509e7715
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Thu Nov 3 14:42:39 2011 +0000

    Move clutter-keysyms-compat.h to the deprecated section
    
    No reason to have it lingering in the main section.

 clutter/Makefile.am                  |    2 +-
 clutter/clutter-deprecated.h         |    3 +-
 clutter/clutter-keysyms-compat.h     | 2290 ---------------------------------
 clutter/clutter-keysyms-update.pl    |   17 +-
 clutter/clutter-keysyms.h            |   13 +-
 clutter/deprecated/clutter-keysyms.h | 2298 ++++++++++++++++++++++++++++++++++
 6 files changed, 2315 insertions(+), 2308 deletions(-)

commit 983510fad4b7ca71cf57efb19c39116d6bfb79e3
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Thu Nov 3 14:02:43 2011 +0000

    x11/backend: Use an internal GError
    
    Don't just return the error from Cogl, but proxy it so that it has the
    correct error domain and code.

 clutter/x11/clutter-backend-x11.c |   37 ++++++++++++++++++++++++++++---------
 1 files changed, 28 insertions(+), 9 deletions(-)

commit 7a2001436b759018a0e7178baa0e32bcd994a561
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Wed Nov 2 17:31:29 2011 +0000

    build: Clean up the per-backend summary

 configure.ac |   30 ++++++++++++++++++++++--------
 1 files changed, 22 insertions(+), 8 deletions(-)

commit dc672b5c89c2b4300b16f117aff26a1fe1f7bbfa
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Wed Nov 2 17:30:30 2011 +0000

    build: Use AC_CACHE_SAVE
    
    Delimit the points in the configure script that should save the state,
    so that running the script multiple times doesn't require starting from
    scratch even if it didn't terminate successfully.

 configure.ac |   10 +++++++++-
 1 files changed, 9 insertions(+), 1 deletions(-)

commit 9110fa1ee7821523b7e3b47743846b1e20dbc33c
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Wed Nov 2 13:17:27 2011 +0000

    build: Disable tslib by default
    
    The event handling through tslib hasn't been tested in a while, and it
    hasn't been ported to the device manager machinery either. We are still
    considering whether or not it should be entirely removed, since evdev is
    supposed to be a better way to handle events not coming from an existing
    windowing system.

 configure.ac |    8 ++++----
 1 files changed, 4 insertions(+), 4 deletions(-)

commit c4e6f74f2944e20dbf04794f167a3da1b817235a
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Oct 17 16:07:05 2011 +0100

    interactive/pixmap: Make sure to work only on the X11 backend
    
    Even if the test has been successfully compiled against the X11 backend,
    we need to ensure that it is actually running against it, otherwise bad
    things will happen.

 tests/interactive/test-pixmap.c |   48 ++++++++++++++++++--------------------
 1 files changed, 23 insertions(+), 25 deletions(-)

commit 3b38cee66bfda2fae376b74c8e5cd500243d3be6
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Oct 17 16:06:15 2011 +0100

    interactive/devices: Build unconditionally
    
    The test-devices interactive test does not rely on the X11 API being
    present any more, after the introduction of the device manager API.

 tests/interactive/Makefile.am    |    5 +++--
 tests/interactive/test-devices.c |    5 +++++
 2 files changed, 8 insertions(+), 2 deletions(-)

commit 8249e48802193865114d7ff7e0b1023ffaee9456
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Oct 17 16:03:19 2011 +0100

    Clean up the windowing system defines
    
    Instead of defining new symbols for the windowing systems enabled at
    configure time, we can reuse the same symbols for both the compile time
    and run time checks, e.g.:
    
      #ifdef CLUTTER_WINDOWING_X11
        if (clutter_check_windowing_backend (CLUTTER_WINDOWING_X11))
          /* use the clutter_x11_* API */
        else
      #endif
      #ifdef CLUTTER_WINDOWING_WIN32
        if (clutter_check_windowing_backend (CLUTTER_WINDOWING_WIN32))
          /* use the clutter_win32_* API */
      #endif
    
    This scheme allows us to ensure that the input system namespace is free
    for us to use and select at run time in later versions of Clutter.

 clutter/clutter-backend-private.h |    3 +
 clutter/clutter-backend.h         |   77 +---------------------------------
 clutter/clutter-main.c            |   83 ++++++++++++++++++++++++-------------
 clutter/clutter-version.h.in      |    2 +-
 configure.ac                      |   20 ++++----
 5 files changed, 71 insertions(+), 114 deletions(-)

commit 98c177def5c861e03a1386b02bb0b3acb7c09e65
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Oct 17 13:25:15 2011 +0100

    Clean up the backend creation
    
    Move it to its own function.

 clutter/clutter-main.c |   83 ++++++++++++++++++++++++++---------------------
 1 files changed, 46 insertions(+), 37 deletions(-)

commit 3987db16595cb52c1b309ad8251066fa63c71651
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Fri Oct 14 12:00:44 2011 +0100

    build: Make sure to remove colliding shared libraries
    
    The compatibility links should take over any existing installed
    shared library with the same soname, to avoid ldd creating stale
    links.

 clutter/Makefile.am |    3 +++
 1 files changed, 3 insertions(+), 0 deletions(-)

commit 50c72367a8b6946b0d047c4ea10e6e08d3a47442
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Wed Oct 12 17:56:07 2011 +0100

    docs: Update the README section on configure switches

 README.in |   51 +++++++++++++++++++++++----------------------------
 1 files changed, 23 insertions(+), 28 deletions(-)

commit b07756e0b3248134aad075f690eaf8560424d8c0
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Wed Oct 12 08:48:56 2011 +0100

    build: Implement proper platform checking
    
    Perform the check for enabling platform-specific backends conditionally
    on the 'check' value, instead of unconditionally.
    
    Also, rename the configure switches for the backends to have a '-backend'
    suffix, to avoid collisions and provide a more descriptive name.

 configure.ac |   77 ++++++++++++++++++++++++++++++++++------------------------
 1 files changed, 45 insertions(+), 32 deletions(-)

commit 4b0d7f2929c39528227bae6e2d39ab7f3edf1ac9
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Oct 3 17:11:49 2011 +0100

    build: Improve the compat libs rule
    
    Use the same commands libtool uses when installing symbolic links for
    the shared libraries.

 clutter/Makefile.am |   26 ++++++++++++++++++++------
 1 files changed, 20 insertions(+), 6 deletions(-)

commit 8eb71af23d55bbc07dadd552369e10d405f7c670
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Oct 3 15:25:40 2011 +0100

    gdk/events: Clean up the event handling code
    
    We need debugging notes, to see what's happening when handling events.
    
    We need to queue a (clipped) redraw when receiving a GDK_EXPOSE event.
    
    We need to check the device (both master and source) of the event using
    the GdkEvent API, and pass them to the ClutterEvent using the
    corresponding Clutter API.

 clutter/gdk/clutter-event-gdk.c        |   93 +++++++++++++++++++++++++-------
 clutter/gdk/clutter-input-device-gdk.c |    2 +-
 2 files changed, 75 insertions(+), 20 deletions(-)

commit 405e72f2e4ce94e3fad5c668cf0e7622fdc3af35
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Oct 3 12:25:53 2011 +0100

    egl: First attempt at cleaning up the EGL native backend
    
    At least, let's make it compile when built along with the other
    backends. In reality, it still needs to be verified as working.

 clutter/Makefile.am                          |   16 ++-
 clutter/clutter-main.c                       |    4 +-
 clutter/cogl/clutter-backend-cogl.c          |   40 +------
 clutter/cogl/clutter-stage-cogl.h            |    4 -
 clutter/egl/clutter-backend-eglnative.c      |  159 ++++++++++++++++++++------
 clutter/egl/clutter-backend-eglnative.h      |    5 -
 clutter/egl/clutter-egl.h                    |    3 +
 clutter/evdev/clutter-device-manager-evdev.c |   11 +-
 clutter/tslib/clutter-event-tslib.c          |   26 +----
 clutter/tslib/clutter-event-tslib.h          |   35 ++++++
 configure.ac                                 |   48 ++++----
 11 files changed, 220 insertions(+), 131 deletions(-)

commit 19508132df6227f5b865de458bdf959106073373
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Oct 3 10:23:46 2011 +0100

    build: Move EGL-related files under egl/
    
    Including the clutter-cex100.h.in header.

 .gitignore                         |    2 +-
 clutter/Makefile.am                |    6 +-
 clutter/cogl/clutter-cex100.h.in   |   91 ----------------------------------
 clutter/cogl/clutter-egl-headers.h |   30 -----------
 clutter/cogl/clutter-egl.h         |   94 ------------------------------------
 clutter/egl/clutter-cex100.h       |   91 ----------------------------------
 clutter/egl/clutter-cex100.h.in    |   91 ++++++++++++++++++++++++++++++++++
 clutter/egl/clutter-egl-headers.h  |   30 +++++++++++
 clutter/egl/clutter-egl.h          |   94 ++++++++++++++++++++++++++++++++++++
 configure.ac                       |    2 +-
 10 files changed, 220 insertions(+), 311 deletions(-)

commit 4ee00b67b55d56c5c36bdf2978593532d540190a
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Oct 3 10:17:56 2011 +0100

    build: Move clutter-event-tslib.c out of egl/
    
    Prepare for a full tslib device manager.

 clutter/Makefile.am                 |    2 +-
 clutter/egl/clutter-event-tslib.c   |  293 -----------------------------------
 clutter/tslib/clutter-event-tslib.c |  293 +++++++++++++++++++++++++++++++++++
 3 files changed, 294 insertions(+), 294 deletions(-)

commit 6e9f474d90687df0e21cc374b6a7fafa5694a846
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Fri Sep 30 17:29:40 2011 +0100

    Coding style and cosmetic fixes

 clutter/gdk/clutter-event-gdk.c |  297 +++++++++++++++++++++------------------
 1 files changed, 162 insertions(+), 135 deletions(-)

commit 0c919adf508351aa95d201d36277ff677f4348b1
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Fri Sep 30 14:50:31 2011 +0100

    Minimal cosmetic fix to the configure output

 configure.ac |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit fedfac3b7cb3899619dfe6c197cf22a5b1b8c0aa
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Fri Sep 30 13:58:40 2011 +0100

    Remove the X11-specific bit in ClutterStageCogl
    
    Let's use a new virtual function in ClutterStageWindow to check whether
    a platform-specific implementation does support clipped redraws.

 clutter/clutter-stage-window.c    |   14 ++++++++++++++
 clutter/clutter-stage-window.h    |    4 ++++
 clutter/cogl/clutter-stage-cogl.c |   21 +++------------------
 clutter/gdk/clutter-stage-gdk.c   |   24 ++++++++++--------------
 clutter/x11/clutter-stage-x11.c   |   13 +++++++++++++
 5 files changed, 44 insertions(+), 32 deletions(-)

commit f58d393187af1258d6f23cbe172d7c20ee7d0d2d
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Thu Sep 29 18:16:48 2011 +0100

    gdk: Fix Stage foreign window support
    
    The code is generally wrong, and does not work. We need to skip the
    GdkWindow creation when we have a foreing window, but we still need to
    create the Cogl onscreen buffer and connect it to the GdkWindow's native
    resource.

 clutter/gdk/clutter-stage-gdk.c |  141 ++++++++++++++++++++------------------
 1 files changed, 74 insertions(+), 67 deletions(-)

commit f14cbf5bdb4f763925f53451dd94d56f756c93ea
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Thu Sep 29 18:10:48 2011 +0100

    gdk: Allow disabling event retrieval
    
    Just like the other backends can disable the internal event handling,
    and use clutter_<backend>_handle_event() to do the native → Clutter
    event translation.

 clutter/gdk/clutter-backend-gdk.c |   18 +++++++++++++++++-
 clutter/gdk/clutter-gdk.h         |    2 ++
 2 files changed, 19 insertions(+), 1 deletions(-)

commit a73f1e67685b30702757b03b39ad585acfc90f89
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Sep 27 13:24:52 2011 +0100

    Cosmetic fixes

 clutter/x11/clutter-backend-x11.c |  143 +++++++++++++++++++------------------
 1 files changed, 72 insertions(+), 71 deletions(-)

commit 21a24c862ef652552ada4d9d4a0eb95edd5790bb
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Sep 26 13:14:26 2011 +0100

    Allow checking the backend type at run-time
    
    Portable code should be allowed to check type backend currently being
    used, so that it can use platform-specific API (not just Clutter's).
    
    We don't want to go down the GDK route, with public types for
    ClutterBackend and ClutterStageWindow implementations, and use the type
    system, e.g.:
    
      #ifdef GDK_WINDOWING_X11
        if (GDK_IS_WINDOW_X11 (window))
          use_x11_api (window);
        else
      #endif
      #ifdef GDK_WINDOWING_WIN32
        if (GDK_IS_WINDOW_WIN32 (window))
          use_win32_api (window);
        else
      #endif
        g_critical ("Unsupported backend");
    
    This system would make us expose the backend system, and we want to
    still reserve us the option to change the backend system to increase its
    granularity — e.g. choosing different input event systems regardless of
    the windowing system.
    
    This commit adds a simple function that checks the backend type against
    a symbolic constant — the same constant string that can be used to
    select the backend at run-time through the CLUTTER_BACKEND environment
    variable.

 clutter/clutter-backend.h    |   67 ++++++++++++++++++++++++++++++++++++++++
 clutter/clutter-main.c       |   70 ++++++++++++++++++++++++++++++++++++++---
 clutter/clutter-version.h.in |    2 +
 3 files changed, 133 insertions(+), 6 deletions(-)

commit a09bbffd922123d0b4ae9405be4651119e5fa7a1
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Wed Sep 21 18:05:03 2011 +0100

    Implement multi-backend support
    
    The Clutter backend split is opaque enough that should allow us to just
    build all possible backends inside the same shared object, and select
    the wanted backend at initialization time.
    
    This requires some work in the build system, as well as the
    initialization code, to remove duplicate functions that might cause
    conflicts at build and link time. We also need to defer all the checks
    of the internal state of the platform-specific API to run-time type
    checks.

 clutter/Makefile.am                       |  139 ++++++---
 clutter/clutter-backend-private.h         |    3 -
 clutter/clutter-main.c                    |   63 ++++-
 clutter/clutter-version.h.in              |   14 +
 clutter/clutter.pc.in                     |   11 +-
 clutter/cogl/clutter-stage-cogl.c         |   19 +-
 clutter/egl/clutter-backend-eglnative.c   |   55 ++--
 clutter/gdk/clutter-backend-gdk.c         |   16 +-
 clutter/gdk/clutter-gdk.h                 |   13 +-
 clutter/gdk/clutter-stage-gdk.c           |   14 +-
 clutter/osx/clutter-backend-osx.c         |    6 -
 clutter/wayland/clutter-backend-wayland.c |    6 -
 clutter/win32/clutter-backend-win32.c     |    6 -
 clutter/win32/clutter-stage-win32.c       |   10 +-
 clutter/x11/clutter-backend-x11.c         |   78 ++++--
 clutter/x11/clutter-x11-texture-pixmap.c  |   25 +-
 configure.ac                              |  482 ++++++++++++++---------------
 doc/cookbook/examples/Makefile.am         |    2 +-
 doc/reference/cally/Makefile.am           |    2 +-
 doc/reference/clutter/Makefile.am         |    2 +-
 tests/accessibility/Makefile.am           |    2 +-
 tests/conform/Makefile.am                 |    2 +-
 tests/interactive/Makefile.am             |    2 +-
 tests/micro-bench/Makefile.am             |    2 +-
 tests/performance/Makefile.am             |    2 +-
 25 files changed, 578 insertions(+), 398 deletions(-)

commit 9c102b7c516078d13703981ca1b8cd7affb17602
Author: Giovanni Campagna <gcampagna@src.gnome.org>
Date:   Sat Aug 27 00:16:12 2011 +0200

    Rework the interaction between the Cogl and GDK / X11 backends.
    
    Previously, the Cogl backend was at times a subclass of the X11
    backend, and at times a standalone one. Now it is the other way
    round, with GDK and X11 backends providing the concrete classes,
    layered on top of the generic Cogl backend. A new EglNative backend
    was introduced for direct to framebuffer rendering. This greatly
    simplifies the API design (at the expense of some casts needed)
    and reduces the amount of #ifdefs, without duplicating code.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=657434

 clutter/Makefile.am                       |   21 +-
 clutter/cogl/clutter-backend-cogl.c       |  349 +----------------------------
 clutter/cogl/clutter-backend-cogl.h       |   41 ----
 clutter/cogl/clutter-event-tslib.c        |  293 ------------------------
 clutter/cogl/clutter-glx-texture-pixmap.c |  158 -------------
 clutter/cogl/clutter-glx-texture-pixmap.h |   92 --------
 clutter/cogl/clutter-glx.h                |   36 ---
 clutter/cogl/clutter-stage-cogl.c         |  167 +++++----------
 clutter/cogl/clutter-stage-cogl.h         |   20 --
 clutter/egl/clutter-backend-eglnative.c   |  262 ++++++++++++++++++++++
 clutter/egl/clutter-backend-eglnative.h   |   80 +++++++
 clutter/egl/clutter-cex100.h              |   91 ++++++++
 clutter/egl/clutter-event-tslib.c         |  293 ++++++++++++++++++++++++
 clutter/gdk/clutter-backend-gdk.c         |  180 +++++++++++----
 clutter/gdk/clutter-backend-gdk.h         |    5 +-
 clutter/gdk/clutter-stage-gdk.c           |  161 +++++++-------
 clutter/gdk/clutter-stage-gdk.h           |    9 +-
 clutter/x11/clutter-backend-x11.c         |  230 ++++++++++++++-----
 clutter/x11/clutter-backend-x11.h         |   12 +-
 clutter/x11/clutter-glx-texture-pixmap.c  |  158 +++++++++++++
 clutter/x11/clutter-glx-texture-pixmap.h  |   92 ++++++++
 clutter/x11/clutter-glx.h                 |   36 +++
 clutter/x11/clutter-stage-x11.c           |  139 ++++++++----
 clutter/x11/clutter-stage-x11.h           |    9 +-
 configure.ac                              |   29 +--
 25 files changed, 1573 insertions(+), 1390 deletions(-)

commit 610a9c17bacfe3106d59d3c450be6a07cd26490a
Author: Giovanni Campagna <gcampagna@src.gnome.org>
Date:   Fri Aug 26 03:09:18 2011 +0200

    Add a new GDK backend
    
    This commit introduces a new flavour for Clutter, that uses GDK
    for handling all window system specific interactions (except for
    creating the cogl context, as cogl does not know about GDK), including
    in particular events. This is not compatible with the X11 (glx)
    flavour, and this is reflected by the different soname (libclutter-gdk-1.0.so),
    as all X11 specific functions and classes are not available. If you
    wish to be compatible, you should check for CLUTTER_WINDOWING_X11.
    Other than that, this backend should be on feature parity with X11,
    including XInput 2, XSettings and EMWH (with much, much less code)
    
    https://bugzilla.gnome.org/show_bug.cgi?id=657434

 clutter/Makefile.am                          |   28 ++
 clutter/cogl/clutter-backend-cogl.c          |   86 +++-
 clutter/cogl/clutter-backend-cogl.h          |   18 +-
 clutter/cogl/clutter-stage-cogl.c            |   70 +++-
 clutter/cogl/clutter-stage-cogl.h            |   17 +-
 clutter/gdk/clutter-backend-gdk-private.h    |   32 ++
 clutter/gdk/clutter-backend-gdk.c            |  368 ++++++++++++++++
 clutter/gdk/clutter-backend-gdk.h            |   72 +++
 clutter/gdk/clutter-device-manager-gdk.c     |  249 +++++++++++
 clutter/gdk/clutter-device-manager-gdk.h     |   63 +++
 clutter/gdk/clutter-event-gdk.c              |  264 +++++++++++
 clutter/gdk/clutter-gdk.h                    |   55 +++
 clutter/gdk/clutter-input-device-gdk.c       |  160 +++++++
 clutter/gdk/clutter-input-device-gdk.h       |   55 +++
 clutter/gdk/clutter-settings-gdk.h           |   28 ++
 clutter/gdk/clutter-stage-gdk.c              |  601 ++++++++++++++++++++++++++
 clutter/gdk/clutter-stage-gdk.h              |   84 ++++
 configure.ac                                 |   21 +
 tests/conform/test-cogl-texture-pixmap-x11.c |   10 +-
 tests/conform/test-conform-common.c          |    4 +-
 20 files changed, 2232 insertions(+), 53 deletions(-)

commit db53ca382c5db10fa19f93761b8f898b20a4534f
Author: Robert Bragg <robert@linux.intel.com>
Date:   Tue Nov 1 13:42:40 2011 +0000

    cogl: fallback to non-transparent stages if unsupported
    
    If our check of the CoglOnscreenTemplate during initialization fails
    then we disable the request for an alpha component in the swap chain and
    try the check again.
    
    Reviewed-by: Neil Roberts <neil@linux.intel.com>
    Reviewed-by: Emmanuele Bassi <ebassi@linux.intel.com>

 clutter/cogl/clutter-backend-cogl.c |   26 +++++++++++++++++++++++---
 1 files changed, 23 insertions(+), 3 deletions(-)

commit b751b90bc014666ddf0e0f1d220c949403f72185
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Wed Nov 2 13:03:26 2011 +0000

    build: Bump up Cogl dependency
    
    The newly added cogl-xlib.h header is available since Cogl 1.9, so we
    need to bump up the dependency.

 configure.ac |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 4ce95306a357b85537de709033848f61bafca04a
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Wed Nov 2 12:53:55 2011 +0000

    tslib: Remove mention of clutter-stage-egl.h
    
    That header has long since disappeared from the build.

 clutter/cogl/clutter-event-tslib.c |    1 -
 1 files changed, 0 insertions(+), 1 deletions(-)

commit 0b4b19700f371e0f49ca727e66017f8862a5c4eb
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Wed Nov 2 12:53:26 2011 +0000

    utils: Remove CLUTTER_DISABLE_DEPRECATED
    
    We use deprecation warnings now.

 clutter/clutter-util.h |    4 ----
 1 files changed, 0 insertions(+), 4 deletions(-)

commit 377a292b4e1255a421b9f7687ef2db2e4c7b68d1
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Wed Nov 2 12:53:03 2011 +0000

    texture: Remove CLUTTER_DISABLE_DEPRECATED
    
    We use deprecation warnings now.

 clutter/clutter-texture.h |    2 --
 1 files changed, 0 insertions(+), 2 deletions(-)

commit 4a4289cfa53968c1886d1a691f9e82bb54ba5005
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Wed Nov 2 12:52:42 2011 +0000

    stage-manager: Remove CLUTTER_DISABLE_DEPRECATED
    
    We use deprecation warnings now.

 clutter/clutter-stage-manager.h |    3 +--
 1 files changed, 1 insertions(+), 2 deletions(-)

commit 1ba9a123ede0fdf4d670a860305c75e0858fb693
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Wed Nov 2 12:52:18 2011 +0000

    cairo-texture: Remove CLUTTER_DISABLE_DEPRECATED
    
    We use deprecation warnings now.

 clutter/clutter-cairo-texture.h |    2 --
 1 files changed, 0 insertions(+), 2 deletions(-)

commit f4d8ba7db4bcdcf615feb9423435ebc4b60a1973
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Wed Nov 2 12:51:58 2011 +0000

    animatable: Remove CLUTTER_DISABLE_DEPRECATED
    
    We use deprecation warnings, now.

 clutter/clutter-animatable.h |    2 --
 1 files changed, 0 insertions(+), 2 deletions(-)

commit f4e971a7e583d9474cec57dd47d9e267a6fd24f1
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Wed Nov 2 12:48:31 2011 +0000

    cairo-texture: Use an internal function for create_region()
    
    Avoid double argument checking, and a deprecation warning when
    implementing create() as a wrapper around create_region(), by using
    a simple internal function.

 clutter/clutter-cairo-texture.c |   88 +++++++++++++++++++++-----------------
 1 files changed, 49 insertions(+), 39 deletions(-)

commit b19c919645dfb90461698d38d128f47543336dad
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Wed Nov 2 12:47:46 2011 +0000

    actor: Move deprecated symbols into separate headers
    
    The clutter-actor.h header is already pretty big, so let's try to keep
    the deprecated symbols out of it.

 clutter/Makefile.am                           |    1 +
 clutter/clutter-actor.h                       |   34 -------------------------
 clutter/clutter-deprecated.h                  |    1 +
 clutter/deprecated/clutter-actor-deprecated.h |   17 ++++++++++++
 clutter/deprecated/clutter-shader.h           |   24 +++++++++++++++++
 5 files changed, 43 insertions(+), 34 deletions(-)

commit 40d703a00514898a68d7772ca89f1242b0832458
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Wed Nov 2 12:41:42 2011 +0000

    backend: Move deprecated symbols to a separate header

 clutter/Makefile.am                             |    1 +
 clutter/clutter-backend.h                       |   27 -----------------
 clutter/clutter-deprecated.h                    |    2 +
 clutter/deprecated/clutter-backend-deprecated.h |   36 +++++++++++++++++++++++
 4 files changed, 39 insertions(+), 27 deletions(-)

commit a39be454cf6befb1a26fe368f4924b4ddb89a178
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Wed Nov 2 12:32:09 2011 +0000

    main: Move deprecated symbols to a separate header
    
    The number of deprecations in clutter-main.h makes the header harder to
    parse, and more confusing. We can use a separate header under the
    deprecated subdirectory to hold all the deprecated symbols.

 clutter/Makefile.am                          |    1 +
 clutter/clutter-main.h                       |  169 +++++++++-----------------
 clutter/deprecated/clutter-main-deprecated.h |   52 ++++++++
 3 files changed, 109 insertions(+), 113 deletions(-)

commit 6e28121ff3944ccded33a7a9900e1bb04f4a4516
Author: Robert Bragg <robert@linux.intel.com>
Date:   Tue Nov 1 15:47:43 2011 +0000

    cogl: include <cogl/cogl-xlib.h> for xlib specific symbols
    
    Since Xlib.h is such a terrible citizen when it comes to symbol
    namespacing it's not desirable to include Xlib.h if it is not absolutely
    required. Cogl now has a standalone cogl-xlib.h that should be included
    whenever any xlib specific symbols are required.
    
    This patch updates clutter to include <cogl/cogl-xlib.h> wherever
    clutter needs to use xlib specific cogl apis.
    
    Acked-by: Emmanuele Bassi <ebassi@linux.intel.com>

 clutter/cogl/clutter-backend-cogl.c |    2 ++
 clutter/x11/clutter-backend-x11.c   |    1 +
 2 files changed, 3 insertions(+), 0 deletions(-)

commit 0bfda786153947e0acc232b7b83b97db399f4591
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Oct 31 10:39:46 2011 +0000

    profile: Disable deprecation warnings
    
    We use an atexit() handler to print out the profile report coming from
    Uprof. The g_atexit() call has been deprecated by GLib, but since this
    use case is pretty specific and it's not meant to be turned on by
    default (or distributed) then we can safely disable the deprecation
    warnings inside clutter-profile.c.

 clutter/clutter-profile.c |    3 ++-
 1 files changed, 2 insertions(+), 1 deletions(-)

commit 09de87b0e540bfb6c0fc12e34625388bcc12fdc9
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Oct 24 12:07:30 2011 +0100

    backend: Remove atexit handlers
    
    The g_atexit() function has been deprecated in GLib as it is a fairly
    bad idea in basically all cases.
    
    We could probably use a GCC destructor if we didn't care about
    portability, but for the time being we just remove the atexit() handler
    that disposed the backend.

 clutter/cogl/clutter-backend-cogl.c       |    9 ---------
 clutter/wayland/clutter-backend-wayland.c |    9 ---------
 2 files changed, 0 insertions(+), 18 deletions(-)

commit d97a8c431b0a937e42490bc7f29a9282514686a4
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Oct 24 11:58:23 2011 +0100

    cairo-texture: Drop the half pixel rounding
    
    Calling ceilf() should be enough.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=661887

 clutter/clutter-cairo-texture.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 41d04f3611d4e94f839def532e358ed9a70978f6
Author: Alexander Shopov <ash@kambanaria.org>
Date:   Sun Oct 30 17:04:55 2011 +0200

    Updated Bulgarian translation

 po/bg.po | 2227 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 files changed, 2227 insertions(+), 0 deletions(-)

commit 0406e235bf2f1d26b0f0cca19905a1ecc7e3828b
Merge: 7c6038d 81a8286
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Wed Oct 26 12:55:05 2011 +0800

    Merge branch 'master' into msvc-support-master

commit 81a82867e1cbd0b7a4da0ae518b9b1719974ad60
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Tue Oct 25 11:30:46 2011 +0100

    docs: Clarify CLUTTER_ACTOR_IS_MAPPED
    
    There are a couple of gotchas in the 'mapped' flag that are not properly
    documented, or are documented only in the actor_invariants.txt file; we
    should have a proper description in the API reference as well, to avoid
    confusion.

 clutter/clutter-actor.c |   23 ++++++++++++++++-------
 1 files changed, 16 insertions(+), 7 deletions(-)

commit 8c196c94035e0a311512cf7aa448b1df2d75afff
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Tue Oct 25 00:13:53 2011 +0800

    Bug 662071-[Win32]-Don't init the Big Clutter Lock
    
    Since the Windows GUI system is assuming multithreadedness, initializing
    locks after entering the GUI portion on Windows is likely to cause
    problems[1][2], which results many Clutter programs to crash due to
    releasing resources that they did not own.
    
    [1]: Multi-threaded use of GTK+ on Win32 in README.win32 of GTK+
         source package
    [2]: Explanation of Windows GUI system regarding its multithreadness
         assumptions-
         http://mail.gnome.org/archives/gtk-list/2011-June/msg00005.html

 clutter/clutter-main.c |    6 ++++++
 1 files changed, 6 insertions(+), 0 deletions(-)

commit 7c6038d77b0d0b3323867f8a881d72ca37bb8b7c
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Tue Oct 25 00:13:53 2011 +0800

    Bug 662071-[Win32]-Don't init the Big Clutter Lock
    
    Since the Windows GUI system is assuming multithreadedness, initializing
    locks after entering the GUI portion on Windows is likely to cause
    problems[1][2], which results many Clutter programs to crash due to
    releasing resources that they did not own.
    
    [1]: Multi-threaded use of GTK+ on Win32 in README.win32 of GTK+
         source package
    [2]: Explanation of Windows GUI system regarding its multithreadness
         assumptions-
         http://mail.gnome.org/archives/gtk-list/2011-June/msg00005.html

 clutter/clutter-main.c |    6 ++++++
 1 files changed, 6 insertions(+), 0 deletions(-)

commit 0f9eded1c33c5c41157989f092bb6a47b535ea97
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Tue Oct 25 00:01:24 2011 +0800

    Revert "Don't init the Big Clutter Lock on Win32"
    
    This reverts commit f6acae9f3d92a324c80ec07a94515e13692a2843.

 clutter/clutter-main.c |    2 --
 1 files changed, 0 insertions(+), 2 deletions(-)

commit f6acae9f3d92a324c80ec07a94515e13692a2843
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Mon Oct 24 17:17:39 2011 +0800

    Don't init the Big Clutter Lock on Win32
    
    Since the Windows GUI system is assuming multithreadedness, initializing
    locks after entering the GUI portion on Windows is likely to cause
    problems[1][2], which results many Clutter programs to crash due to
    releasing resources that they did not own.
    
    [1]: Multi-threaded use of GTK+ on Win32 in README.win32 of GTK+ source package
    [2]: Explanation of Windows GUI system regarding its multithreadness
         assumtopns-http://lists-archives.org/gtk/12724-compiling-a-gtk-application-on-windows.html

 clutter/clutter-main.c |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit 1c648dc7dad72b7943bc62fd00743bd6f5218cbb
Author: Jorge González <jorgegonz@svn.gnome.org>
Date:   Sat Oct 22 17:53:30 2011 +0200

    Updated Spanish translation

 po/es.po |  526 +++++++++++++++++++++++++++++++-------------------------------
 1 files changed, 264 insertions(+), 262 deletions(-)

commit 8af0054f24aba9636bfee871df1228968dd533b3
Author: Yaron Shahrabani <sh.yaron@gmail.com>
Date:   Sat Oct 22 15:50:50 2011 +0200

    Updated Hebrew translation (Initialized PO file).

 po/he.po | 2213 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 files changed, 2213 insertions(+), 0 deletions(-)

commit 5540e6bd9c50b7b14d5757f1af0ae024b136667a
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Fri Oct 21 21:19:27 2011 +0100

    docs: Document the behaviour in case of init failure
    
    Or, better, the fact that the behaviour of any Clutter function will be
    undefined in case the initialization fails.
    
    The value returned by clutter_init() and friends has to be handled
    properly.

 clutter/clutter-main.c |    9 +++++++++
 1 files changed, 9 insertions(+), 0 deletions(-)

commit 5f84c197b4e370ce80aef6ddda5c67d9031f4f6d
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:   Fri Oct 21 21:20:00 2011 +0200

    Updated Slovenian translation

 po/sl.po |  716 ++++++++++++++++++++++++++++++++------------------------------
 1 files changed, 367 insertions(+), 349 deletions(-)

commit 0bc1ac2312c54e2a7fa38847500e5243b302a33d
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Fri Oct 21 17:53:54 2011 +0800

    Update VS property sheets
    
    Stop the use of CLUTTER_DISABLE_DEPRECATED and COGL_DISABLE_DEPRECATED, as
    now compiler warnings are used instead when deprecated items are used.

 build/win32/vs10/clutter.props  |    2 +-
 build/win32/vs9/clutter.vsprops |    2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit fedca055e98901c88320c72813a4d15a4c91681e
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Fri Oct 21 17:44:27 2011 +0800

    Revert "Revert "Deprecate clutter_threads_init()""
    
    This reverts commit 5419c11c99f721f2f9bf520c0444c053a88b3725.
    
    This is another part to attempt to investigate on error 0xC0000264
    on Windows

 clutter/clutter-main.c                    |   31 ++++++----------------------
 clutter/clutter-main.h                    |    4 +++
 tests/interactive/test-texture-async.c    |    4 +-
 tests/interactive/test-texture-material.c |    2 -
 tests/interactive/test-threads.c          |    2 -
 5 files changed, 13 insertions(+), 30 deletions(-)

commit e0ad11a1935ec68464c41036e6902081627452f3
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Fri Oct 21 17:43:21 2011 +0800

    Revert "clutter-main.c: Fix multiple declarations"
    
    This reverts commit 3d74552684a6eb49bc67845bfb3839896395e66a.
    
    This is a part to attempt to further investigate about the 0xC0000264 error
    on Windows

 clutter/clutter-main.c |   12 ++++++++++++
 1 files changed, 12 insertions(+), 0 deletions(-)

commit 098a83af9ed8adef2b4aa048a756b8c9ce0b8ed3
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Thu Oct 20 17:26:55 2011 +0800

    test-[interactive/conformance].bat: Update .exe name

 tests/conform/Makefile.am     |    4 ++--
 tests/interactive/Makefile.am |    4 ++--
 2 files changed, 4 insertions(+), 4 deletions(-)

commit a36ab5787b4f2afa3935b3a2ab9e8308b19ad141
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Thu Oct 20 16:35:38 2011 +0800

    Rename conform/interactive tests VS projects
    
    Add a -clutter suffix for their project names to avoid clashes with the
    COGL test executables

 build/win32/vs10/Makefile.am                       |   16 +-
 build/win32/vs10/clutter.sln                       |    4 +-
 build/win32/vs10/install.vcxproj                   |    4 +-
 .../test-conformance-clutter.vcxproj.filtersin     |   12 ++
 .../win32/vs10/test-conformance-clutter.vcxprojin  |  168 +++++++++++++++++++
 .../win32/vs10/test-conformance.vcxproj.filtersin  |   12 --
 build/win32/vs10/test-conformance.vcxprojin        |  168 -------------------
 .../test-interactive-clutter.vcxproj.filtersin     |   12 ++
 .../win32/vs10/test-interactive-clutter.vcxprojin  |  172 ++++++++++++++++++++
 .../win32/vs10/test-interactive.vcxproj.filtersin  |   12 --
 build/win32/vs10/test-interactive.vcxprojin        |  172 --------------------
 build/win32/vs9/Makefile.am                        |    8 +-
 build/win32/vs9/clutter.sln                        |    4 +-
 build/win32/vs9/test-conformance-clutter.vcprojin  |  165 +++++++++++++++++++
 build/win32/vs9/test-conformance.vcprojin          |  165 -------------------
 build/win32/vs9/test-interactive-clutter.vcprojin  |  169 +++++++++++++++++++
 build/win32/vs9/test-interactive.vcprojin          |  169 -------------------
 tests/conform/Makefile.am                          |   20 ++--
 tests/interactive/Makefile.am                      |   20 ++--
 19 files changed, 736 insertions(+), 736 deletions(-)

commit 3d74552684a6eb49bc67845bfb3839896395e66a
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Thu Oct 20 15:42:55 2011 +0800

    clutter-main.c: Fix multiple declarations
    
    clutter_threads_impl_lock/clutter_threads_impl_unlock was accidently
    defined 2 times during the revert-fix that.

 clutter/clutter-main.c |   12 ------------
 1 files changed, 0 insertions(+), 12 deletions(-)

commit d6af2e54c805e88d2d6c65fca63d179ff208891b
Merge: 5419c11 53a1d03
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Thu Oct 20 15:41:46 2011 +0800

    Merge branch 'master' into msvc-support-master

commit 5419c11c99f721f2f9bf520c0444c053a88b3725
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Thu Oct 20 15:17:25 2011 +0800

    Revert "Deprecate clutter_threads_init()"
    
    This reverts commit 7e3a75c66bbca1e278b15c797cfc6acbcbd6c7c7.
    
    Conflicts:
    
    	clutter/clutter-main.c
    	clutter/clutter-main.h

 clutter/clutter-main.c                    |   31 ++++++++++++++++++++++------
 clutter/clutter-main.h                    |    4 ---
 tests/interactive/test-texture-async.c    |    4 +-
 tests/interactive/test-texture-material.c |    2 +
 tests/interactive/test-threads.c          |    2 +
 5 files changed, 30 insertions(+), 13 deletions(-)

commit 53a1d03179e471486a2a1d4c68fb1afbcd0a68e0
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   Wed Oct 19 23:18:16 2011 +0200

    Updated Norwegian bokmål translation

 po/nb.po | 1200 ++++++++++++++++++++++++++++++++------------------------------
 1 files changed, 616 insertions(+), 584 deletions(-)

commit f1d86071c3310b430b85ee4bab4a8bc8a9460da3
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Wed Oct 19 15:32:41 2011 +0100

    build: Remove the GLES configuration option
    
    The selector for GLES 1.1 or 2.0 is all in Cogl, now.

 configure.ac |    8 +-------
 1 files changed, 1 insertions(+), 7 deletions(-)

commit 14b3ec84852899ff9c351113a293d92e889016d9
Author: Robert Bragg <robert@linux.intel.com>
Date:   Thu Aug 4 16:09:00 2011 +0100

    build: remove the experimental_image var from configure
    
    Since the image backend is something now dealt with by Cogl there is no
    need to check the experimental status of the backend in the Clutter
    configure script.
    
    Reviewed-by: Neil Roberts <neil@linux.intel.com>
    Reviewed-by: Emmanuele Bassi <ebassi@linux.intel.com>

 configure.ac |    5 +----
 1 files changed, 1 insertions(+), 4 deletions(-)

commit 63cc5ab698e8d1a31015a73a2d0e69c8cb59b2ed
Author: Robert Bragg <robert@linux.intel.com>
Date:   Tue Oct 18 10:06:06 2011 +0100

    blur: don't accumulate texture padding twice
    
    This removes the create_texture implementation for ClutterBlurEffect
    because we already account for padding in the get_paint_volume
    implementation so we were creating textures larger than necessary.
    
    Reviewed-by: Emmanuele Bassi <ebassi@linux.intel.com>

 clutter/clutter-blur-effect.c |   12 ------------
 1 files changed, 0 insertions(+), 12 deletions(-)

commit 2ba1a198709b0030c465ecfb726483254d54509f
Author: Robert Bragg <robert@linux.intel.com>
Date:   Thu Aug 4 16:04:52 2011 +0100

    build: Don't actually check for glx for glx flavour
    
    GLX is now totally abstracted by Cogl so the "glx" flavour is actually
    only used to determine the soname of clutter now so we don't actually
    have to check for the glx header or that libGL provides any GLX symbols.
    
    Reviewed-by: Neil Roberts <neil@linux.intel.com>
    Reviewed-by: Emmanuele Bassi <ebassi@linux.intel.com>

 configure.ac |    8 --------
 1 files changed, 0 insertions(+), 8 deletions(-)

commit a18a8a3ae21a18555cd56654b70c2ab83fac0d35
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Wed Oct 19 15:23:55 2011 +0100

    Avoid the shadowing of 'clone'
    
    The clone() call can creep into the build environment, so it's a good
    thing to avoid using 'clone' as a variable name.

 clutter/clutter-clone.c |  113 ++++++++++++++++++++++++-----------------------
 clutter/clutter-clone.h |    4 +-
 2 files changed, 60 insertions(+), 57 deletions(-)

commit b240b95a97a220f760c06fe09cde3eeb91fed581
Author: Neil Roberts <neil@linux.intel.com>
Date:   Wed Oct 19 13:42:18 2011 +0100

    tests: Use the portable cogl wrappers for GLSL builtins
    
    Instead of directly using the GLSL names for the builtins in the
    shaders for test-shader and test-pick, this makes it use the Cogl
    wrapper names instead. That way it will be portable to GLES2 as well.
    
    Reviewed-by: Emmanuele Bassi <ebassi@linux.intel.com>

 tests/conform/test-pick.c       |    4 ++--
 tests/interactive/test-shader.c |    3 +--
 2 files changed, 3 insertions(+), 4 deletions(-)

commit e33a6219d8e4bf22725c9cf7ca5abee1936bd7fa
Merge: 8b5d255 8083dd5
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Tue Oct 18 15:48:17 2011 +0800

    Merge branch 'master' into msvc-support-master

commit 8083dd51786492237355003278208824cf99edcb
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Oct 17 11:48:47 2011 +0100

    docs: Improve documentation of LayoutManager
    
    Especially with regards to layout properties and their usage inside a
    ClutterScript UI definition.

 clutter/clutter-layout-manager.c |  103 +++++++++++++++++++++++++++-----------
 1 files changed, 74 insertions(+), 29 deletions(-)

commit 8b5d255a2b75b4a9da3166419489f2eb71c309fa
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Mon Oct 17 18:37:32 2011 +0800

    Update clutter.symbols
    
    _clutter_shader_release_all is removed...

 clutter/clutter.symbols |    1 -
 1 files changed, 0 insertions(+), 1 deletions(-)

commit 3cc62523e6121a8e8316a578246da4db737f4a41
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Oct 17 10:25:20 2011 +0100

    docs: Clean up the 'running Clutter apps' chapter

 doc/reference/clutter/running-clutter.xml |   20 +++++++++++---------
 1 files changed, 11 insertions(+), 9 deletions(-)

commit be4007ef53acce84dbb7b90be7f06eab1b845bc6
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Oct 17 10:25:07 2011 +0100

    Remove mentions of clutter_redraw()

 clutter/clutter-actor.c        |   14 ++++++++------
 clutter/clutter-main.c         |    2 +-
 clutter/clutter-master-clock.c |    4 ++--
 3 files changed, 11 insertions(+), 9 deletions(-)

commit 146e15297fab2a087effdd3df1bc0d320f674a5d
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Oct 17 10:24:25 2011 +0100

    debug: Clean up debugging notes

 clutter/clutter-backend.c                      |    6 ++--
 clutter/clutter-bezier.c                       |    2 +-
 clutter/clutter-debug.h                        |   27 ++++++++++-------------
 clutter/clutter-main.c                         |    4 ---
 clutter/deprecated/clutter-behaviour-depth.c   |    2 +-
 clutter/deprecated/clutter-behaviour-ellipse.c |    2 +-
 clutter/deprecated/clutter-behaviour-opacity.c |    2 +-
 clutter/deprecated/clutter-behaviour-path.c    |    2 +-
 clutter/deprecated/clutter-behaviour.c         |   12 +++++-----
 clutter/wayland/clutter-backend-wayland.c      |    2 +-
 clutter/win32/clutter-event-win32.c            |    4 +-
 11 files changed, 29 insertions(+), 36 deletions(-)

commit 3a95d81471ccce2717bf03f9cf2851d7737b4dc6
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Mon Oct 17 15:57:19 2011 +0800

    Update VS property sheets
    
    Get rid of G_DISABLE_DEPRECATED-warnings are now used to tell people that
    GLib-deprecated items is to be avoided

 build/win32/vs10/clutter.props  |    2 +-
 build/win32/vs9/clutter.vsprops |    2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit b1780711f75fe9a36e95cc1d8599508d2d7d3352
Merge: 0ee89f1 f75dfcf
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Mon Oct 17 15:52:57 2011 +0800

    Merge branch 'master' into msvc-support-master

commit f75dfcfd8b2e17862614eb6e0722a61c34e0dcde
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Sat Oct 15 18:35:45 2011 +0100

    interactive: Use the newly added CLUTTER_ALIGN_BOTH value
    
    We center a lot of stuff using ClutterAlignConstraints.

 tests/interactive/test-actors.c          |    3 +--
 tests/interactive/test-constraints.c     |    7 ++-----
 tests/interactive/test-scrolling.c       |    3 +--
 tests/interactive/test-snap-constraint.c |    3 +--
 tests/interactive/test-state-script.c    |    3 +--
 5 files changed, 6 insertions(+), 13 deletions(-)

commit 1e51961f7a19c4c2ddca1ad75e6bbae12d51bbbb
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Sat Oct 15 18:33:49 2011 +0100

    align-constraint: Add CLUTTER_ALIGN_BOTH
    
    Just like ClutterBindConstraint has two shorthand enumerations for binding
    position and size and avoid using multiple instances, ClutterAlignConstraint
    should have a way to align an actor with the same alignment factor on both
    axis at the same time; this is especially useful for centering actors.

 clutter/clutter-align-constraint.c |   15 +++++++++++++--
 clutter/clutter-enums.h            |    6 ++++--
 2 files changed, 17 insertions(+), 4 deletions(-)

commit 30d309c6e3c7fbe41d3038ff03a2460867036364
Author: Fran Dieguez <fran@openhost.es>
Date:   Sat Oct 15 15:24:41 2011 +0200

    Updaged Galician translations

 po/gl.po | 1132 ++++++++++++++++++++++++++++++++------------------------------
 1 files changed, 584 insertions(+), 548 deletions(-)

commit 7f3363e1db2ecf11861e386b89b352b512f77983
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Fri Oct 14 11:34:38 2011 +0100

    Tag all deprecated symbols using CLUTTER_DEPRECATED
    
    This requires some minor surgery in the build to disable the deprecation
    warnings in the deprecated classes.

 clutter/clutter-actor.c                        |    2 +
 clutter/clutter-path.c                         |   62 +++++++++++++++
 clutter/deprecated/clutter-behaviour-depth.c   |    2 +
 clutter/deprecated/clutter-behaviour-depth.h   |    8 +-
 clutter/deprecated/clutter-behaviour-ellipse.c |    2 +
 clutter/deprecated/clutter-behaviour-ellipse.h |   22 +++++-
 clutter/deprecated/clutter-behaviour-opacity.c |    2 +
 clutter/deprecated/clutter-behaviour-opacity.h |    7 +-
 clutter/deprecated/clutter-behaviour-path.c    |    2 +
 clutter/deprecated/clutter-behaviour-path.h    |   10 +-
 clutter/deprecated/clutter-behaviour-rotate.c  |    2 +
 clutter/deprecated/clutter-behaviour-rotate.h  |   13 ++-
 clutter/deprecated/clutter-behaviour-scale.c   |    2 +
 clutter/deprecated/clutter-behaviour-scale.h   |    8 +-
 clutter/deprecated/clutter-behaviour.c         |   96 +++++++-----------------
 clutter/deprecated/clutter-behaviour.h         |   14 +++-
 clutter/deprecated/clutter-fixed.c             |    2 +
 clutter/deprecated/clutter-fixed.h             |   10 +--
 clutter/deprecated/clutter-frame-source.c      |    2 +
 clutter/deprecated/clutter-frame-source.h      |    8 +-
 clutter/deprecated/clutter-score.c             |    2 +
 clutter/deprecated/clutter-score.h             |   18 ++++-
 clutter/deprecated/clutter-shader.c            |    2 +
 clutter/deprecated/clutter-shader.h            |   19 ++++-
 clutter/deprecated/clutter-timeout-interval.c  |    2 +
 clutter/deprecated/clutter-timeout-pool.c      |    2 +
 clutter/deprecated/clutter-timeout-pool.h      |   10 +-
 27 files changed, 209 insertions(+), 122 deletions(-)

commit d93e6ef6b9b259f4561dc1517246d0da89e134e1
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Fri Oct 14 11:34:26 2011 +0100

    Bump up the dependency on gtk-doc

 configure.ac |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit a05eb9177dc85efba81b0f370c0d4a8a212fa96c
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Wed Oct 12 18:04:23 2011 +0100

    build: Strip out G_DISABLE_DEPRECATED
    
    We have compiler warnings, now.

 configure.ac |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 96cb1d7128ef5d92ac89ecde84cbdedda94ba261
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Thu Oct 13 17:50:25 2011 +0100

    Disable deprecation warnings for the test suite
    
    We test deprecated functionality as well as current one, so we need to
    enable all symbols and disable the deprecation warnings.

 tests/conform/Makefile.am                  |    4 ++--
 tests/conform/test-clutter-cairo-texture.c |    2 --
 tests/conform/test-texture-fbo.c           |    2 --
 tests/interactive/Makefile.am              |    4 ++--
 tests/interactive/test-cairo-flowers.c     |    3 ---
 tests/interactive/test-fbo.c               |    2 --
 tests/interactive/test-shader.c            |    4 ----
 7 files changed, 4 insertions(+), 17 deletions(-)

commit a063f0961129d9e40b3e73ecf30b9976240a09fc
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Thu Oct 13 11:38:27 2011 +0100

    debug: Move paint-deform-tiles to CLUTTER_PAINT
    
    The CLUTTER_DEBUG class of debugging flags is meant for debugging notes,
    while the CLUTTER_PAINT debugging flags are for changing the output of
    the paint cycle. Painting the DeformEffect tiles should go in the latter.

 clutter/clutter-debug.h         |    6 +++---
 clutter/clutter-deform-effect.c |    2 +-
 clutter/clutter-main.c          |    6 +++---
 3 files changed, 7 insertions(+), 7 deletions(-)

commit ef1a3a5477706126334aa9bd51b5db2f2d9f7abe
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Thu Oct 13 10:42:30 2011 +0100

    docs: Include test-threads.c in the API reference
    
    We can use the test-threads.c interactive test as part of the documentation
    on how to use threads with Clutter.

 clutter/clutter-main.c |   10 ++++++++++
 1 files changed, 10 insertions(+), 0 deletions(-)

commit c58baf42ca38ca1aa059640b2b5348ea816a5d9a
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Thu Oct 13 10:38:36 2011 +0100

    interactive/threads: Clean up
    
    Add some comments explaining why we use idle handlers to update the UI,
    and update to the newest API in GLib master.

 tests/interactive/test-threads.c |   44 +++++++++++++++++++++++++++----------
 1 files changed, 32 insertions(+), 12 deletions(-)

commit e389240b2300d213ae6f7c2a3d9e1cab7706f705
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Wed Oct 12 20:33:16 2011 +0200

    Updated POTFILES.in

 po/POTFILES.in |   20 ++++++++++----------
 1 files changed, 10 insertions(+), 10 deletions(-)

commit e0283993f4eed80518398dea952bde542615ba56
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Wed Oct 12 16:17:39 2011 +0100

    Avoid using deprecated API internally
    
    Use the proper API to implement deprecated functions.

 clutter/clutter-actor.c |   38 ++++++++++++++++++++++--------------
 clutter/clutter-main.c  |   48 ++++++++++++++++++++++++++++++++++++----------
 2 files changed, 60 insertions(+), 26 deletions(-)

commit 72da6f808e8a5c0339a3d8e6dd6c93ad01f7c90f
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Wed Oct 12 12:36:41 2011 +0100

    texture: Disable deprecation warnings
    
    Sadly, ClutterTexture is still using internally deprecated API, like
    clutter_actor_get_shader().

 clutter/clutter-texture.c |    6 +++++-
 1 files changed, 5 insertions(+), 1 deletions(-)

commit 0ee89f1788efaef7d948aa03e0004780a310bd90
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Wed Oct 12 17:50:32 2011 +0800

    clutter-backend-win32.c: Include clutter-shader.h
    
    This is needed for _clutter_shader_release_all to avoid C4013
    errors/warnings (a.k.a implicit declaration of ...)

 clutter/win32/clutter-backend-win32.c |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit 53d9e88135746350f3e329bbc9f5d478893f99c2
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Wed Oct 12 10:36:17 2011 +0100

    Remove _clutter_shader_release_all()
    
    This function is called when the backend is being disposed - as a way
    of releasing all ClutterShader. This doesn't take into account three
    things:
    
      - ClutterShader is deprecated
      - the Backend is *never* disposed
      - once the process terminates, all its resources are automatically
        released by the OS
    
    So the _clutter_shader_release_all() function is a pointless exercise
    in futility.

 clutter/deprecated/clutter-shader.c   |   14 --------------
 clutter/deprecated/clutter-shader.h   |    3 ---
 clutter/osx/clutter-backend-osx.c     |    2 --
 clutter/win32/clutter-backend-win32.c |    3 ---
 4 files changed, 0 insertions(+), 22 deletions(-)

commit a2bd2afb9366be0ba5fa206fc600a3ba53921379
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Wed Oct 12 17:33:33 2011 +0800

    clutter/Makefile.am
    
    The previous update on clutter-timeout-interval.[ch] is wrong, so correct
    that and add $(deprecated_c_priv) to the VS sources list.  Sorry.

 clutter/Makefile.am |    8 +++-----
 1 files changed, 3 insertions(+), 5 deletions(-)

commit 15cafc4c77ac471e10b81e7724073fecc1be3a10
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Wed Oct 12 17:30:08 2011 +0800

    clutter/Makefile.am: Update formatting from last commit

 clutter/Makefile.am |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 830d6887cd04de676f2af31024be78965978836f
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Wed Oct 12 17:26:31 2011 +0800

    clutter/Makefile.am: Made up for missed sources
    
    The clutter/deprecated/clutter-timeout-interval.c is missed from the
    deprecated_c sources list...

 clutter/Makefile.am |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit e0de326b2a415edb165e020d8313c98dff3235f3
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Wed Oct 12 17:25:37 2011 +0800

    clutter/clutter-keysyms-table.c: Fix function name
    
    The function name is clutter_unicode_to_keysym, not
    clutter_unicode_to_keyval

 clutter/clutter-keysyms-table.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit cb98da4a9d0d89b4f4c6569c7e3e481902701efb
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Wed Oct 12 17:24:36 2011 +0800

    Update clutter.symbols

 clutter/clutter.symbols |    1 -
 1 files changed, 0 insertions(+), 1 deletions(-)

commit 762a4350d1c5f8e0b3ef14429f1228d6e7b105ed
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Wed Oct 12 17:02:08 2011 +0800

    Update VS support
    
    -clutter/Makefile.am: Include the deprecated sources as well
    -clutter.vc(x)projin: Add clutter/deprecated into the "Additional Include
     Directories"

 build/win32/vs10/clutter.vcxprojin |    8 ++++----
 build/win32/vs9/clutter.vcprojin   |    8 ++++----
 clutter/Makefile.am                |    6 +++---
 3 files changed, 11 insertions(+), 11 deletions(-)

commit 9901a06a1fb0499feb4a4e6efb3868f2a155f753
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Wed Oct 12 09:57:53 2011 +0100

    tests: Fix some compiler warnings

 tests/interactive/test-main.c    |    2 +-
 tests/interactive/test-threads.c |    7 ++++++-
 2 files changed, 7 insertions(+), 2 deletions(-)

commit 9e61cfcf38be9580341af1edf6269000205209e8
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Wed Oct 12 09:57:33 2011 +0100

    tests: Disable deprecation warnings

 tests/conform/test-clutter-cairo-texture.c |    1 +
 tests/conform/test-texture-fbo.c           |    2 +-
 tests/interactive/test-cairo-flowers.c     |    1 +
 tests/interactive/test-fbo.c               |    2 +-
 tests/interactive/test-shader.c            |    2 +-
 5 files changed, 5 insertions(+), 3 deletions(-)

commit f2dc315b3b2b3ecbde99e69698dada5b95ae3a01
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Wed Oct 12 16:55:39 2011 +0800

    Fix VS 2008 property sheet
    
    There was a quote escape problem... fix that.  DOH!

 build/win32/vs9/clutter.vsprops |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 97d51f201b61fdeacbf59c585f14e0128e37c6bc
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Wed Oct 12 16:51:58 2011 +0800

    po/POTFILE.in: Reflect on the shift of sources
    
    Several source files have been moved to clutter/deprecated, so reflect them
    in the po/POTFILE.in file.

 po/POTFILES.in |   20 ++++++++++----------
 1 files changed, 10 insertions(+), 10 deletions(-)

commit cbcd79d3946d6aab11e408aab55f6fd4253ae6bb
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Wed Oct 12 16:25:28 2011 +0800

    Update VS property sheets
    
    For the following:
    -Move of headers to $(srcroot)/clutter/deprecated, commits:
     50cda9fe
     4b748f43
     4b33a9c5
     e57f8c26
     bcd7845d
     62d72b86
     a21f1d15
    
    -Addition of clutter/clutter-enums.h, in commit d28e04be.
    -Addition of config file usage, in commit f5eee5ae

 build/win32/vs10/clutter.props  |   59 +++++++++++++++++++++------------------
 build/win32/vs9/clutter.vsprops |   33 ++++++++++++----------
 2 files changed, 50 insertions(+), 42 deletions(-)

commit 72bedbc4e98423b3d986c1559e52a8a914702c27
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Wed Oct 12 16:17:27 2011 +0800

    Update clutter.symbols
    
    For deprecation of APIs, in commits
    522b8be3 (clutter_get_input_device_for_id())
    6ef09dd1 (clutter_clear_glyph_cache())
    01080dc5 (clutter_[sg]et_font_flags())

 clutter/clutter.symbols |   10 ----------
 1 files changed, 0 insertions(+), 10 deletions(-)

commit bd991e625b09bc8c238432511fa4d957be7ded1e
Merge: 9aabf1b 29a1698
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Wed Oct 12 14:37:19 2011 +0800

    Merge branch 'master' into msvc-support-master

commit 9aabf1bca1a19e003a9d9bceb6869c4671900334
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Wed Oct 12 14:34:49 2011 +0800

    Update VS property sheets
    
    Update to use COGL-1.0, not COGL-2.0.

 build/win32/vs10/clutter.props  |    4 ++--
 build/win32/vs9/clutter.vsprops |    4 ++--
 2 files changed, 4 insertions(+), 4 deletions(-)

commit 29a16980fe69212149673725edf23b45947235bf
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Wed Oct 12 00:20:43 2011 +0100

    interactive/threads: Use G_PRIVATE_INIT
    
    Though strictly not necessary, we should be using the proper init macro
    for GPrivate.

 tests/interactive/test-threads.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 193b345786f2ae3c2a518f3ca9dac719386992a4
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Tue Oct 11 23:42:23 2011 +0100

    Remove some compiler warnings
    
    Some issues found using clang as the compiler.

 clutter/clutter-main.c               |    2 +-
 clutter/clutter-model.c              |   12 ++++++------
 clutter/clutter-script-parser.c      |    2 +-
 clutter/osx/clutter-event-loop-osx.c |    4 ++--
 clutter/osx/clutter-stage-osx.c      |    2 +-
 5 files changed, 11 insertions(+), 11 deletions(-)

commit 2ede853ea3bf2b2576a7ddfffc29af37c695d611
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Tue Oct 11 23:11:56 2011 +0100

    Fix included header

 clutter/clutter-util.h |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit ef0e52f0e184f42eaf66116b371eb2013f39328c
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Tue Oct 11 23:06:06 2011 +0100

    build: Disable deprecation warnings with --enable-deprecated
    
    Just like we turn everything on with --disable-deprecated, we have to
    turn everything off with --enable-deprecated. This means disabling the
    deprecation warnings from the compiler as well.

 configure.ac |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit af7afc29a716a813197d024a973a2d6db80d6758
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Tue Oct 11 23:03:09 2011 +0100

    Add a Clutter-specific deprecation macro for symbols
    
    Just like GLIB_DEPRECATED and GLIB_DEPRECATED_FOR, Clutter should have
    its own wrappers for G_DEPRECATED and G_DEPRECATED_FOR, to allow opting
    out of deprecation warnings.
    
    Deprecation warnings are enabled by default, now, even when building
    Clutter.

 clutter/clutter-actor.h         |   11 +++++++++++
 clutter/clutter-animatable.h    |    1 +
 clutter/clutter-backend.h       |   13 +++++++++++++
 clutter/clutter-cairo-texture.h |    3 +++
 clutter/clutter-main.h          |   21 ++++++++++++++++++---
 clutter/clutter-texture.h       |    1 +
 clutter/clutter-types.h         |   14 ++++++++++++++
 clutter/clutter-util.h          |    3 ++-
 clutter/cogl/clutter-egl.h      |    2 ++
 clutter/x11/clutter-x11.h       |    6 ++++--
 10 files changed, 69 insertions(+), 6 deletions(-)

commit b34e89e0c5b192adf1b12841d80cfec89c836c01
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Tue Oct 11 23:02:17 2011 +0100

    Fix duplicate typedef of ClutterAlpha
    
    Caught on OS X but not on my Fedora machine. Weird.

 clutter/clutter-alpha.h |    1 -
 1 files changed, 0 insertions(+), 1 deletions(-)

commit 7bd5659962c34b54631074212f4746394a076564
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Tue Oct 11 22:43:54 2011 +0100

    Do not leak strings from GKeyFile
    
    The string getters always copy, so we need to free the returned
    values.

 clutter/clutter-main.c     |   12 ++++++++++--
 clutter/clutter-settings.c |    4 ++--
 2 files changed, 12 insertions(+), 4 deletions(-)

commit 31bee53eb769b4d72b39c0994adf1ddf345de209
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Oct 11 18:25:14 2011 +0100

    docs: Fixes to build the API reference

 doc/reference/clutter/clutter-sections.txt |    9 +++++++++
 doc/reference/clutter/running-clutter.xml  |   20 ++++++++++----------
 2 files changed, 19 insertions(+), 10 deletions(-)

commit 809298b5a2ab77ac2e24e91759eec2af6f43bffd
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Oct 4 14:21:32 2011 +0100

    Move more typedefs into clutter-types.h

 clutter/clutter-animatable.h |    1 -
 clutter/clutter-script.h     |    1 -
 clutter/clutter-state.h      |    2 --
 clutter/clutter-timeline.h   |    1 -
 clutter/clutter-types.h      |   12 +++++++-----
 5 files changed, 7 insertions(+), 10 deletions(-)

commit d28e04be72d0a8c4408e07f468698d61ef312091
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Oct 4 13:28:04 2011 +0100

    Move all enumerations to a separate file
    
    This should allow sharing types, and we can avoid glib-mkenums thrawling
    the whole repository for enumerations.

 clutter/Makefile.am                |    1 +
 clutter/clutter-actor.h            |   60 --
 clutter/clutter-align-constraint.h |   15 -
 clutter/clutter-animator.h         |   14 -
 clutter/clutter-bin-layout.h       |   25 -
 clutter/clutter-bind-constraint.h  |   24 -
 clutter/clutter-box-layout.h       |   18 -
 clutter/clutter-click-action.h     |   17 -
 clutter/clutter-color.h            |  105 ----
 clutter/clutter-drag-action.h      |   18 -
 clutter/clutter-effect.h           |   13 -
 clutter/clutter-enums.h            | 1059 ++++++++++++++++++++++++++++++++++++
 clutter/clutter-event.h            |   87 +---
 clutter/clutter-feature.h          |   36 +--
 clutter/clutter-flow-layout.h      |   17 -
 clutter/clutter-input-device.h     |   78 ---
 clutter/clutter-path.h             |   33 --
 clutter/clutter-snap-constraint.h  |   18 -
 clutter/clutter-stage.h            |   16 -
 clutter/clutter-swipe-action.h     |   18 -
 clutter/clutter-table-layout.h     |   19 -
 clutter/clutter-texture.h          |   40 --
 clutter/clutter-timeline.h         |   16 +-
 clutter/clutter-types.h            |  330 +-----------
 clutter/clutter-units.h            |   46 +--
 clutter/clutter.h                  |    3 +-
 26 files changed, 1078 insertions(+), 1048 deletions(-)

commit a21f1d158063edd7dc1d37b418b690adef07aa8f
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Oct 4 12:18:26 2011 +0100

    Move clutter-fixed.[ch] to the deprecated section

 clutter/Makefile.am                |    4 +-
 clutter/clutter-deprecated.h       |    1 +
 clutter/clutter-fixed.c            |  199 ------------------------------------
 clutter/clutter-fixed.h            |   99 ------------------
 clutter/clutter-timeline.h         |    1 -
 clutter/deprecated/clutter-fixed.c |  199 ++++++++++++++++++++++++++++++++++++
 clutter/deprecated/clutter-fixed.h |   99 ++++++++++++++++++
 7 files changed, 301 insertions(+), 301 deletions(-)

commit 62d72b8690f76cba6fba9f816f163f9f12f5aa08
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Oct 4 11:58:44 2011 +0100

    Move ClutterBehaviour to the deprecated section

 clutter/Makefile.am                    |    4 +-
 clutter/clutter-behaviour.c            |  708 --------------------------------
 clutter/clutter-behaviour.h            |  163 --------
 clutter/clutter-deprecated.h           |    1 +
 clutter/clutter.h                      |    1 -
 clutter/deprecated/clutter-behaviour.c |  708 ++++++++++++++++++++++++++++++++
 clutter/deprecated/clutter-behaviour.h |  163 ++++++++
 7 files changed, 874 insertions(+), 874 deletions(-)

commit e2682012219c5af174489baa4759ac2b6e021dee
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Oct 4 11:52:47 2011 +0100

    Minor header surgery to ClutterBehaviour
    
    This moves a couple of definitions to the common types header, and makes
    sure that ClutterBehaviour subclasses include clutter-behaviour.h first,
    so that their types can be fully expanded without necessarily have the
    ClutterBehaviour header header included by their public headers. This is
    the necessary prelude to have clutter-behaviour.[ch] moved to the
    deprecated section.

 clutter/clutter-behaviour.h                    |    3 ---
 clutter/clutter-path.h                         |    4 +---
 clutter/clutter-types.h                        |   12 ++++++++----
 clutter/deprecated/clutter-behaviour-depth.c   |    2 +-
 clutter/deprecated/clutter-behaviour-depth.h   |    3 +--
 clutter/deprecated/clutter-behaviour-ellipse.c |    2 +-
 clutter/deprecated/clutter-behaviour-ellipse.h |    3 ---
 clutter/deprecated/clutter-behaviour-opacity.c |    2 +-
 clutter/deprecated/clutter-behaviour-opacity.h |    3 +--
 clutter/deprecated/clutter-behaviour-path.c    |    2 +-
 clutter/deprecated/clutter-behaviour-path.h    |    3 +--
 clutter/deprecated/clutter-behaviour-rotate.c  |    4 ++--
 clutter/deprecated/clutter-behaviour-rotate.h  |    2 --
 clutter/deprecated/clutter-behaviour-scale.c   |    2 +-
 clutter/deprecated/clutter-behaviour-scale.h   |    2 +-
 15 files changed, 20 insertions(+), 29 deletions(-)

commit bcd7845d91338861d5fd79eb80532027a8d21b24
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Oct 4 11:32:36 2011 +0100

    Move ClutterBehaviour subclasses to the deprecated section
    
    Moving ClutterBehaviour itself will require some minor header surgery,
    so we'll do that next.

 clutter/Makefile.am                            |   40 +-
 clutter/clutter-behaviour-depth.c              |  305 -------
 clutter/clutter-behaviour-depth.h              |  101 ---
 clutter/clutter-behaviour-ellipse.c            | 1064 ------------------------
 clutter/clutter-behaviour-ellipse.h            |  147 ----
 clutter/clutter-behaviour-opacity.c            |  319 -------
 clutter/clutter-behaviour-opacity.h            |  116 ---
 clutter/clutter-behaviour-path.c               |  474 -----------
 clutter/clutter-behaviour-path.h               |  135 ---
 clutter/clutter-behaviour-rotate.c             |  693 ---------------
 clutter/clutter-behaviour-rotate.h             |  115 ---
 clutter/clutter-behaviour-scale.c              |  439 ----------
 clutter/clutter-behaviour-scale.h              |  106 ---
 clutter/clutter-deprecated.h                   |    6 +
 clutter/clutter.h                              |    6 -
 clutter/deprecated/clutter-behaviour-depth.c   |  305 +++++++
 clutter/deprecated/clutter-behaviour-depth.h   |  101 +++
 clutter/deprecated/clutter-behaviour-ellipse.c | 1064 ++++++++++++++++++++++++
 clutter/deprecated/clutter-behaviour-ellipse.h |  147 ++++
 clutter/deprecated/clutter-behaviour-opacity.c |  319 +++++++
 clutter/deprecated/clutter-behaviour-opacity.h |  116 +++
 clutter/deprecated/clutter-behaviour-path.c    |  474 +++++++++++
 clutter/deprecated/clutter-behaviour-path.h    |  135 +++
 clutter/deprecated/clutter-behaviour-rotate.c  |  693 +++++++++++++++
 clutter/deprecated/clutter-behaviour-rotate.h  |  115 +++
 clutter/deprecated/clutter-behaviour-scale.c   |  439 ++++++++++
 clutter/deprecated/clutter-behaviour-scale.h   |  106 +++
 27 files changed, 4040 insertions(+), 4040 deletions(-)

commit 6c100e151376fdbbffbb332edd98bf9768c3a168
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Oct 4 11:16:38 2011 +0100

    docs: Move deprecated classes out of the way
    
    The deprecated sections should be much more prominently separated from
    the current API; we can use a new part inside the main reference index
    for this.

 doc/reference/clutter/clutter-docs.xml.in |   28 ++++++++++++++--------------
 1 files changed, 14 insertions(+), 14 deletions(-)

commit e57f8c26f62c50f3b47aae88a2b6a50972a25edc
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Oct 4 11:12:55 2011 +0100

    Move ClutterShader to the deprecated section

 clutter/Makefile.am                 |    4 +-
 clutter/clutter-deprecated.h        |    1 +
 clutter/clutter-shader.c            |  950 -----------------------------------
 clutter/clutter-shader.h            |  149 ------
 clutter/clutter.h                   |    1 -
 clutter/deprecated/clutter-shader.c |  950 +++++++++++++++++++++++++++++++++++
 clutter/deprecated/clutter-shader.h |  149 ++++++
 7 files changed, 1102 insertions(+), 1102 deletions(-)

commit 4b33a9c5f4cdf26492d24b7e989ba8bba022edef
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Oct 4 11:07:03 2011 +0100

    Move ClutterScore to the deprecated section

 clutter/Makefile.am                |    4 +-
 clutter/clutter-deprecated.h       |    1 +
 clutter/clutter-score.c            | 1146 ------------------------------------
 clutter/clutter-score.h            |  133 -----
 clutter/clutter.h                  |    7 +-
 clutter/deprecated/clutter-score.c | 1146 ++++++++++++++++++++++++++++++++++++
 clutter/deprecated/clutter-score.h |  133 +++++
 7 files changed, 1286 insertions(+), 1284 deletions(-)

commit 4b748f433419462bd3daba18191f2fc173224a76
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Oct 4 10:57:28 2011 +0100

    Move timeout pool to the deprecated section

 clutter/Makefile.am                           |    8 +-
 clutter/clutter-deprecated.h                  |    1 +
 clutter/clutter-timeout-interval.c            |  140 -------
 clutter/clutter-timeout-interval.h            |   58 ---
 clutter/clutter-timeout-pool.c                |  497 -------------------------
 clutter/clutter-timeout-pool.h                |   69 ----
 clutter/clutter.h                             |    1 -
 clutter/deprecated/clutter-timeout-interval.c |  140 +++++++
 clutter/deprecated/clutter-timeout-interval.h |   58 +++
 clutter/deprecated/clutter-timeout-pool.c     |  497 +++++++++++++++++++++++++
 clutter/deprecated/clutter-timeout-pool.h     |   69 ++++
 11 files changed, 769 insertions(+), 769 deletions(-)

commit 50cda9fed1acddef53d29222b22d276b9fa80a48
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Oct 4 10:51:09 2011 +0100

    build: Move deprecated code into its own prefix
    
    The code that has been deprecated should live into its own directory,
    both in the repository and when installed. This should make it clear
    which functionality is actually maintained and which is not.
    
    We start with an oldie: the frame source API.

 clutter/Makefile.am                       |   41 ++++-
 clutter/clutter-deprecated.h              |  207 +----------------------
 clutter/clutter-frame-source.c            |  263 -----------------------------
 clutter/clutter-frame-source.h            |   51 ------
 clutter/clutter.h                         |    1 -
 clutter/deprecated/clutter-frame-source.c |  263 +++++++++++++++++++++++++++++
 clutter/deprecated/clutter-frame-source.h |   51 ++++++
 7 files changed, 355 insertions(+), 522 deletions(-)

commit 57f54173ecb4b618fb1b48a9c70aa482ce3efe49
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Oct 11 17:51:14 2011 +0100

    interactive/threads: Fix up after deprecations
    
    The GThread API has undergone a massive restructuring, and the fallout
    is still being processed.

 tests/interactive/test-threads.c |   14 ++++++++------
 1 files changed, 8 insertions(+), 6 deletions(-)

commit 2d2046f9620a9e6cd0a3a5eb1170073562879ba2
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Oct 11 17:08:20 2011 +0100

    docs: Document the settings.ini file
    
    Describe the location, groups, and keys of the settings.ini file used by
    Clutter.

 doc/reference/clutter/running-clutter.xml |   97 +++++++++++++++++++++++++++++
 1 files changed, 97 insertions(+), 0 deletions(-)

commit 53e201f86531195ee7391e54f50b39dce45bcca1
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Oct 11 16:05:24 2011 +0100

    Show lib and sysconfdir in the configure summary

 configure.ac |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit 372b39fd63880955d88fe205b7a23c202938e639
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Oct 11 15:28:47 2011 +0100

    Add more sections to the Clutter configuration file
    
    On top of the existing "Settings" group in the settings.ini file we
    should have two more groups:
    
      Environment   - contains all the configuration possible through
                      environment variables
      Debug         - contains all the possible debug variables

 clutter/clutter-main.c             |  165 ++++++++++++++++++++++++++++++++++--
 clutter/clutter-settings-private.h |    4 +-
 clutter/clutter-settings.c         |   28 +-----
 3 files changed, 165 insertions(+), 32 deletions(-)

commit f5eee5aec7a87a3c8a1f2e658231eca4b04561dd
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Oct 11 14:42:31 2011 +0100

    Add a configuration file for ClutterSettings
    
    ClutterSettings should be able to load its initial state by using
    configuration files in SYSCONFDIR and XDG_CONFIG_HOME. This allows
    Clutter to have a system (and user) configuration on platforms that
    do not have XSETTINGS bridges.

 clutter/Makefile.am                |    2 +
 clutter/clutter-main.c             |   42 +++++++++
 clutter/clutter-settings-private.h |   16 ++++
 clutter/clutter-settings.c         |  164 +++++++++++++++++++++++++++++++++---
 4 files changed, 213 insertions(+), 11 deletions(-)

commit 01080dc5f313fb3d191e78c555c1f04d78aaa83a
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Oct 3 14:12:48 2011 +0100

    Deprecate clutter_[sg]et_font_flags()
    
    We already have two mechanisms for controlling the font rendering
    quality on a per-application basis:
    
      • ClutterSettings properties
      • clutter_backend_set_font_options()
    
    The font flags were always a stop-gap solution, and one that tried to
    simplify a fairly complex issue beyond the point of actually being
    useful.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=660786

 clutter/clutter-main.c  |    6 ++++++
 clutter/clutter-main.h  |    3 +--
 clutter/clutter-types.h |    2 ++
 3 files changed, 9 insertions(+), 2 deletions(-)

commit 6ef09dd15bbe7e4305c683231d6431771bd3cffc
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Oct 10 17:00:28 2011 +0100

    Deprecate clutter_clear_glyph_cache()
    
    This is a wrapper function for API that has long since been public.

 clutter/clutter-main.c |    3 +++
 clutter/clutter-main.h |    3 +++
 2 files changed, 6 insertions(+), 0 deletions(-)

commit 522b8be306be2008d4990fcfc6aeee4759e7d00a
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Oct 10 16:57:18 2011 +0100

    Deprecate clutter_get_input_device_for_id()
    
    We have the ClutterDeviceManager methods for that.

 clutter/clutter-main.c |    2 ++
 clutter/clutter-main.h |    2 +-
 2 files changed, 3 insertions(+), 1 deletions(-)

commit b6dd306998e626cbc86051dc1237894d515aa3dd
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Oct 10 16:45:20 2011 +0100

    Clean up grab implementation
    
    The grab API is a relic of Clutter 0.6, and hasn't been through proper
    vetting in a *long* time — mostly due to the fact that we don't really
    like grabs, and point to the ::captured-event as a way to implement
    "soft grabs" in toolkits and applications.
    
    The implementation of full and device grabs uses weak references on
    actors instead of using the ::destroy signal, which is meant exactly for
    the case of releasing pointers to actors when they are disposed.
    
    The API naming scheme is also fairly broken, especially for
    device-related grabs.
    
    Finally, keyboard device grabs are just not implemented.
    
    We can, in one go, clean up this mess and deprecate a bunch of badly
    named API by introducing generic device grab/ungrab methods on
    ClutterInputDevice, and re-implement the current API on top of them.

 clutter/clutter-device-manager-private.h |    1 +
 clutter/clutter-input-device.h           |    5 +
 clutter/clutter-main.c                   |  268 ++++++++++++++++++++++-------
 clutter/clutter-main.h                   |   10 +-
 4 files changed, 215 insertions(+), 69 deletions(-)

commit 93f2b3d60dd83f421d4b3c0c11971377cc93b662
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Tue Oct 11 17:24:58 2011 +0800

    Update clutter.symbols
    
    Due to an added API in commits 25b7b30c (clutter_unicode_to_keysym)

 clutter/clutter.symbols |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 1cf712854007d5b376877de31c8a474b10a3bc8a
Merge: a9771b5 58fec63
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Tue Oct 11 17:19:45 2011 +0800

    Merge branch 'master' into msvc-support-master

commit 33846dcf4df7443964150d6afe64a165adecc5e6
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Oct 10 15:48:43 2011 +0100

    Deprecate clutter_redraw()
    
    It's just a badly named proxy to clutter_stage_ensure_redraw().

 clutter/clutter-main.c                     |    4 +++-
 clutter/clutter-main.h                     |    5 ++++-
 tests/interactive/test-stage-read-pixels.c |    3 ++-
 3 files changed, 9 insertions(+), 3 deletions(-)

commit 51ca20e81e372d7621019c457888fae054e03184
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Oct 10 15:42:36 2011 +0100

    Cosmetic fixes

 clutter/clutter-main.c |   20 ++++++++++----------
 1 files changed, 10 insertions(+), 10 deletions(-)

commit 58fec63b9273d6daabfd66905f0481adedbe431e
Author: Algimantas Margevičius <gymka@mail.ru>
Date:   Sun Oct 9 00:57:38 2011 +0300

    Updated Lithuanian translation

 po/lt.po | 1251 ++++++++++++++++++++++++++++++++------------------------------
 1 files changed, 645 insertions(+), 606 deletions(-)

commit b5109e852aed1ce96383d25892908c8ec4880561
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Fri Oct 7 16:56:21 2011 +0100

    animation: Use the timeline's new-frame signal
    
    Instead of using the ClutterAlpha's notify::alpha. This makes the code
    less dependent on GObject's property notification.

 clutter/clutter-animation.c |   60 ++++++++++++++++++++++++------------------
 1 files changed, 34 insertions(+), 26 deletions(-)

commit 7e3a75c66bbca1e278b15c797cfc6acbcbd6c7c7
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Fri Oct 7 15:53:50 2011 +0100

    Deprecate clutter_threads_init()
    
    GLib deprecated g_thread_init(), and threading support is initialized
    by GObject, so Clutter already runs with threading support enabled. We
    can drop the clutter_threads_init() call requirement, and initialize the
    Big Clutter Lock™ on clutter_init(). This reduces the things that have
    to be done when dealing with threads with Clutter, and the things that
    can possibly go wrong.

 clutter/clutter-main.c                    |   55 ++++++++++++++++------------
 clutter/clutter-main.h                    |    3 ++
 tests/interactive/test-texture-async.c    |    4 +-
 tests/interactive/test-texture-material.c |    2 -
 tests/interactive/test-threads.c          |    2 -
 5 files changed, 36 insertions(+), 30 deletions(-)

commit 32b8217027a1bafa2b9ff1780253b2f849d708ea
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Fri Oct 7 15:08:27 2011 +0100

    Use a static mutex for the default Clutter lock
    
    The Big Clutter Lock™ can now be a static GMutex, since GLib supports
    them. We can also drop a bunch of checks given the recent changes in
    GLib threading API.

 clutter/clutter-main.c |   20 +++++---------------
 1 files changed, 5 insertions(+), 15 deletions(-)

commit 3690ddc4a0a328ca8efd89980c619762548c92aa
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Fri Oct 7 15:07:26 2011 +0100

    Drop g_thread_init()
    
    It's not necessary any more, and it has been deprecated.

 tests/interactive/test-texture-async.c |    1 -
 1 files changed, 0 insertions(+), 1 deletions(-)

commit 389d24727839b1a3ba0696c63277d0e867dfb73f
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Fri Oct 7 15:06:37 2011 +0100

    texture: Drop G_MUTEX_INIT
    
    The static initializer for GMutex has been removed from GLib.
    
    The g_thread_supported() call can also be removed: threading is always
    enabled in GLib ≥ 2.31.

 clutter/clutter-texture.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 6d974f278e937cce0872567bce672ed515662678
Author: Marc-André Lureau <marcandre.lureau@gmail.com>
Date:   Wed Oct 5 22:03:25 2011 +0200

    Mark clutter_state_set_key() source_state_name as nullable
    
    https://bugzilla.gnome.org/show_bug.cgi?id=661022

 clutter/clutter-state.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 25b7b30ccce6b99cba6a7a8e1cad1a4bcb3676d3
Author: Zan Dobersek <zandobersek@gmail.com>
Date:   Fri Oct 7 12:05:39 2011 +0100

    Add clutter_unicode_to_keyval function
    
    This commit introduces a unicode-to-keyval conversion function that
    performs identical action as the gdk version of that function. Also
    added is the necessary table holding all the conversion values.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=661015

 clutter/clutter-event.h         |    1 +
 clutter/clutter-keysyms-table.c |  804 +++++++++++++++++++++++++++++++++++++++
 2 files changed, 805 insertions(+), 0 deletions(-)

commit 5dbc00e625c515a6732eaec06ddd6185ad8b5916
Author: Sunjin Yang <fan4326@gmail.com>
Date:   Fri Oct 7 15:21:34 2011 +0900

    box-layout: Plug memory leaks
    
    https://bugzilla.gnome.org/show_bug.cgi?id=660985

 clutter/clutter-box-layout.c |   26 ++++++++++++--------------
 1 files changed, 12 insertions(+), 14 deletions(-)

commit c607382de6a278fe2b2d5d5d4d3def0cb2771015
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Fri Oct 7 10:13:08 2011 +0200

    Updated Spanish translation

 po/es.po | 1144 ++++++++++++++++++++++++++++++++------------------------------
 1 files changed, 588 insertions(+), 556 deletions(-)

commit a9771b596fba7f02fec52dc94d98f40cda4ca9ae
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Thu Oct 6 13:00:26 2011 +0800

    Update Visual C++ support
    
    -tests/interactive/Makefile.am, build/win32/Makefile.am: copy the
     generated test-unit-names.h to build/win32 so that it can be
     distributed in "make dist" (maybe we could dist the generated header
     in tests/interactive directly?)
    -Update test-interactive Visual C++ projects to include build/win32 in
     the list of folders to look for headers

 build/win32/Makefile.am                     |    2 +-
 build/win32/vs10/test-interactive.vcxprojin |    4 ++++
 build/win32/vs9/test-interactive.vcprojin   |    4 ++++
 tests/interactive/Makefile.am               |    3 +++
 4 files changed, 12 insertions(+), 1 deletions(-)

commit d86a6d8df4d1f74405285649615f38923c828e99
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Thu Oct 6 12:53:41 2011 +0800

    Update clutter.symbols
    
    ...Due to the addtion of clutter_actor_has_actions,
       clutter_actor_has_contraints and clutter_actor_has_effects APIs

 clutter/clutter.symbols |    3 +++
 1 files changed, 3 insertions(+), 0 deletions(-)

commit b55656b6984a6a5f2dd9d12d6adac09efc9b8595
Merge: f0dfd8a 938fcc6
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Thu Oct 6 12:04:30 2011 +0800

    Merge branch 'master' into msvc-support-master

commit 938fcc60f0365db5dbcc4677ba5e7cefbccf22c8
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Oct 4 10:32:27 2011 +0100

    Deprecate the GParamSpec for CoglFixed
    
    The fixed-point API is not used anywhere, and it's pretty much useless
    to have a fixed-point type for properties.

 clutter/clutter-fixed.c |    8 +++++++-
 clutter/clutter-fixed.h |    8 ++++++++
 2 files changed, 15 insertions(+), 1 deletions(-)

commit 839b939d36ab5b2c5aec71b325c1ca7b5363b8f1
Author: Håkon Løvdal <haakon@bitfrost.no>
Date:   Mon Oct 3 15:56:26 2011 +0100

    spelling fix: timeour -> timeout

 clutter/clutter-main.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 2d76f295df30c3583f43079216c941087cd5fb61
Author: Alexandre Franke <alexandre.franke@gmail.com>
Date:   Mon Oct 3 15:57:21 2011 +0200

    Update French translation

 po/fr.po |  184 +++++++++++++++++++++++++++++++++-----------------------------
 1 files changed, 97 insertions(+), 87 deletions(-)

commit 99f2dbbf5ae33855c37df4372a7402fc048fe394
Author: Kristjan SCHMIDT <kristjan.schmidt@googlemail.com>
Date:   Sat Oct 1 17:24:51 2011 +0200

    Updated Esperanto translation

 po/eo.po | 1551 ++++++++++++++++++++++++++++++++------------------------------
 1 files changed, 790 insertions(+), 761 deletions(-)

commit d331e92742d0af445b9a38fd06bc1bc90646bca4
Author: Adel Gadllah <adel.gadllah@gmail.com>
Date:   Sat Oct 1 12:36:36 2011 +0200

    clutter-actor-meta: Fix _clutter_meta_group_has_metas_no_internal
    
    This function is backwards i.e it is supposed to check for metas that
    are *not* internal, hence the name.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=660623

 clutter/clutter-actor-meta.c |    6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

commit 6377d3646b4c034be57c2627dd3c2e432ab80aa0
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Fri Sep 30 17:02:57 2011 +0100

    paint-volume: Don't try to complete a completed volume
    
    If we do project() → get_bounding_box(), we'll try to complete the
    volume twice, which whacks out all the lazily computed vertices.
    
    Reviewed-by: Robert Bragg <robert@linux.intel.com>

 clutter/clutter-paint-volume.c |    3 +++
 1 files changed, 3 insertions(+), 0 deletions(-)

commit 3372a0233e574b6d67e9f9d83010c1891c427ad8
Author: Neil Roberts <neil@linux.intel.com>
Date:   Thu Sep 29 20:14:26 2011 +0100

    Add a conformance test for ClutterShaderEffect
    
    This adds a simple conformance test which sets up a few shader effects
    using both the old style with clutter_shader_effect_set_source and the
    new style by overriding get_static_shader_source. The effects are then
    verified to confirm that they drew the right pixel colour.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=660512
    
    Reviewed-by: Emmanuele Bassi <ebassi@linux.intel.com>

 tests/conform/Makefile.am          |    1 +
 tests/conform/test-conform-main.c  |    1 +
 tests/conform/test-shader-effect.c |  267 ++++++++++++++++++++++++++++++++++++
 3 files changed, 269 insertions(+), 0 deletions(-)

commit 8b995a9457bba3397c54f227b6ed0cef39cf9c73
Author: Neil Roberts <neil@linux.intel.com>
Date:   Thu Sep 29 20:05:39 2011 +0100

    clutter-shader-effect: Add a get_static_shader_source virtual
    
    This is used as an alternative to calling
    clutter_shader_effect_set_shader_source. A ClutterShaderEffect
    subclass is now expected to implement this method to return the source
    for the effect that will be used for all instances of this
    subclass. It is only called once regardless of the number of instances
    created. That way Clutter can avoid recompiling the shader source for
    every new instance of the effect.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=660512
    
    Reviewed-by: Emmanuele Bassi <ebassi@linux.intel.com>

 clutter/clutter-shader-effect.c |  236 ++++++++++++++++++++++++---------------
 clutter/clutter-shader-effect.h |   10 ++-
 2 files changed, 156 insertions(+), 90 deletions(-)

commit e8ec7ebed013895e63c9579d8b7dbd6c63ccec80
Author: Adel Gadllah <adel.gadllah@gmail.com>
Date:   Thu Sep 29 18:34:12 2011 +0200

    ClutterActor: Add clutter_actor_has_actions
    
    Adds an efficent way to query whether an actor has any
    applied actions.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=660471

 clutter/clutter-action.h |    2 ++
 clutter/clutter-actor.c  |   19 +++++++++++++++++++
 2 files changed, 21 insertions(+), 0 deletions(-)

commit e81800607cdde8522fde33e0df14686e9b972541
Author: Adel Gadllah <adel.gadllah@gmail.com>
Date:   Thu Sep 29 18:29:40 2011 +0200

    ClutterActor: Add clutter_actor_has_contraints
    
    Adds an efficent way to query whether an actor has any
    applied constraints.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=660471

 clutter/clutter-actor.c      |   19 +++++++++++++++++++
 clutter/clutter-constraint.h |    2 ++
 2 files changed, 21 insertions(+), 0 deletions(-)

commit bed2d9e7876064c70b87fe2f2cd4f5fa65b1082e
Author: Adel Gadllah <adel.gadllah@gmail.com>
Date:   Thu Sep 29 15:31:30 2011 +0200

    ClutterActor: Add clutter_actor_has_effects
    
    Adds an efficent way to query whether an actor has any
    applied effects.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=660471

 clutter/clutter-actor-meta-private.h |    2 ++
 clutter/clutter-actor-meta.c         |   21 +++++++++++++++++++++
 clutter/clutter-actor.c              |   22 ++++++++++++++++++++++
 clutter/clutter-effect.h             |    2 ++
 4 files changed, 47 insertions(+), 0 deletions(-)

commit e058cd4c5fcb0a37f24749221d5b854f82ef4703
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Thu Sep 29 14:01:03 2011 +0100

    Pass the remaining args to the executed interactive unit
    
    We only support running one interactive test at a time; everything after
    the unit name is to be considered an argument to the actual unit.

 tests/interactive/test-main.c |    6 +++++-
 1 files changed, 5 insertions(+), 1 deletions(-)

commit f0dfd8ab07809ae54667e5dcea581f429d476d2f
Merge: 9e822d9 7d51555
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Thu Sep 29 16:33:02 2011 +0800

    Merge branch 'master' into msvc-support-master
    
    Conflicts:
    	tests/interactive/Makefile.am

commit 7d515553e662210e8a17c3f6067f681bdbed1bbe
Author: krishnababu k <kkrothap@redhat.ocm>
Date:   Thu Sep 29 12:09:11 2011 +0530

    Updated Telugu Translations

 po/te.po |   83 +++++++++++++++++++++++++++++++------------------------------
 1 files changed, 42 insertions(+), 41 deletions(-)

commit b1fbbe23b43f56da9cbd515e92ef44a8f7b31aa2
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Wed Sep 28 15:54:32 2011 +0100

    Revert "Add lightness, brightness, and contrast effects"
    
    Discussed a bit with Neil, and I might have jumped the gun a little.
    We might want a different API for 1.10. See comment 12 on:
    
    https://bugzilla.gnome.org/show_bug.cgi?id=656156
    
    This reverts commit 4829ae1c79f1ae60d562621b81a7be800e0697bb.

 clutter/Makefile.am                        |    6 -
 clutter/clutter-brightness-effect.c        |  380 --------------------------
 clutter/clutter-brightness-effect.h        |   63 -----
 clutter/clutter-contrast-effect.c          |  395 ----------------------------
 clutter/clutter-contrast-effect.h          |   63 -----
 clutter/clutter-invert-lightness-effect.c  |  243 -----------------
 clutter/clutter-invert-lightness-effect.h  |   57 ----
 doc/reference/clutter/clutter-docs.xml.in  |    3 -
 doc/reference/clutter/clutter-sections.txt |   47 ----
 doc/reference/clutter/clutter.types        |    3 -
 10 files changed, 0 insertions(+), 1260 deletions(-)

commit 4829ae1c79f1ae60d562621b81a7be800e0697bb
Author: Joseph Scheuhammer <clown@alum.mit.edu>
Date:   Tue Sep 27 13:01:36 2011 -0400

    Add lightness, brightness, and contrast effects
    
    Added three classes for new clutter effects:  inverse lightness,
    modify brightness, and modify contrast.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=656156

 clutter/Makefile.am                        |    6 +
 clutter/clutter-brightness-effect.c        |  380 ++++++++++++++++++++++++++
 clutter/clutter-brightness-effect.h        |   63 +++++
 clutter/clutter-contrast-effect.c          |  395 ++++++++++++++++++++++++++++
 clutter/clutter-contrast-effect.h          |   63 +++++
 clutter/clutter-invert-lightness-effect.c  |  243 +++++++++++++++++
 clutter/clutter-invert-lightness-effect.h  |   57 ++++
 doc/reference/clutter/clutter-docs.xml.in  |    3 +
 doc/reference/clutter/clutter-sections.txt |   47 ++++
 doc/reference/clutter/clutter.types        |    3 +
 10 files changed, 1260 insertions(+), 0 deletions(-)

commit ac8e174eca31a28dae4a7aa5b3336b8cf27d6767
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Wed Sep 28 13:32:57 2011 +0100

    tests/interactive: Add some descriptions

 tests/interactive/test-animation.c       |    6 ++++++
 tests/interactive/test-cairo-clock.c     |    6 ++++++
 tests/interactive/test-constraints.c     |    6 ++++++
 tests/interactive/test-drop.c            |    6 ++++++
 tests/interactive/test-easing.c          |    6 ++++++
 tests/interactive/test-table-layout.c    |    6 ++++++
 tests/interactive/test-text-field.c      |   11 +++++++++++
 tests/interactive/test-texture-async.c   |    6 ++++++
 tests/interactive/test-texture-slicing.c |    6 ++++++
 9 files changed, 59 insertions(+), 0 deletions(-)

commit 5fc953cb5eec7960138037f248440778239aef11
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Sep 27 17:50:51 2011 +0100

    test-textures -> test-texture-slicing
    
    The unit is supposed to be testing the slicing support in CoglTexture.

 tests/interactive/Makefile.am            |    2 +-
 tests/interactive/test-texture-slicing.c |  112 ++++++++++++++++++++++++++++++
 tests/interactive/test-textures.c        |  112 ------------------------------
 3 files changed, 113 insertions(+), 113 deletions(-)

commit d640c56cef4738b2c9b75b034b81438390538561
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Sep 27 17:40:51 2011 +0100

    test-interactive: Allow querying the interactive test for a description
    
    It would be nice if the interactive tests had a way to be queried for a
    description, instead of "Just Knowing" what they are meant to be doing.

 tests/interactive/Makefile.am |   25 ++++-
 tests/interactive/test-main.c |  210 +++++++++++++++++++++++++++++++++++++----
 2 files changed, 211 insertions(+), 24 deletions(-)

commit 4ebdeede9feed7995335616ae5e9c2cf3af0ec6b
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Sep 27 16:40:34 2011 +0100

    test-texture-async: Clean up the test code
    
    Force threading on, and stop using the default stage and behaviours:
    let's try to use modern API.

 tests/interactive/test-texture-async.c |   63 +++++++++++++++-----------------
 1 files changed, 29 insertions(+), 34 deletions(-)

commit 56c7d9b0b3211af53952e97b059f8cc0f87d1de8
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Sep 27 16:06:43 2011 +0100

    texture: Simplify asynchronous loading code
    
    The asynchronous loading code could do with some modernization.
    
    First of all, we should drop the internal GMutex held when manipulating
    the boolean flags: it's far too expensive for its role, and modern GLib
    provides us with bitlocks that are quite a lot faster.
    
    Then we should consolidate most of the implementation into something
    smaller and more manageable.

 clutter/clutter-texture.c |  270 +++++++++++++++++++--------------------------
 1 files changed, 115 insertions(+), 155 deletions(-)

commit 11c585c420da633964beb93e80c0dc12d2901a61
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Sep 27 14:22:22 2011 +0100

    texture: Remove GStaticMutex
    
    It's now possible to statically initialize a GMutex.

 clutter/clutter-texture.c |   10 +++++-----
 1 files changed, 5 insertions(+), 5 deletions(-)

commit 1465aa04aa4a8da7ced0eeadb183083a8972a6bf
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Sep 27 14:21:41 2011 +0100

    Depend on GLib 2.31
    
    We need to switch away from GStaticMutex and use GMutex instead, as the
    former has been deprecated.

 configure.ac |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 39db46123ed6bbbc3e6ad359a64d4d344ca9e11b
Author: Tomeu Vizoso <tomeu.vizoso@collabora.co.uk>
Date:   Wed Sep 28 14:24:57 2011 +0200

    Add paint-deform-tiles option to CLUTTER_DEBUG
    
    To make easier to visualize the triangles in a ClutterDeformEffect
    
    https://bugzilla.gnome.org/show_bug.cgi?id=660354

 clutter/clutter-debug.h         |    3 ++-
 clutter/clutter-deform-effect.c |   20 ++++++++++++++++++++
 clutter/clutter-main.c          |    3 ++-
 3 files changed, 24 insertions(+), 2 deletions(-)

commit 9e822d9ae4d65b0fae2843bc57119b3d879502d7
Merge: ad7bb39 4f5ce6c
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Tue Sep 27 14:35:26 2011 +0800

    Merge branch 'master' into msvc-support-master

commit 4f5ce6c165e9e9e599993e77b987f2f229264731
Author: Мирослав Николић <miroslavnikolic@rocketmail.com>
Date:   Tue Sep 27 01:55:26 2011 +0200

    Added Serbian translation

 po/sr.po       | 2194 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 po/sr@latin.po | 2194 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 4388 insertions(+), 0 deletions(-)

commit 8a76949588f278301d3cd7dc5b1752005d624248
Author: Carles Ferrando <carles.ferrando@gmail.com>
Date:   Mon Sep 26 14:41:42 2011 +0200

    [l10n]Updated Catalan (Valencian) translation

 po/ca@valencia.po | 1138 +++++++++++++++++++++++++++--------------------------
 1 files changed, 584 insertions(+), 554 deletions(-)

commit 1776ac8ed50d2cdae34a53d6fa41a1761d6b907f
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Tue Aug 16 16:01:22 2011 +0100

    Remove internal usage of ClutterGeometry in StageWindow
    
    The ClutterGeometry type is a poor substitute of cairo_rectangle_int_t,
    with unsigned integers for width and height to complicate matters.
    
    Let's remove the internal usage of ClutterGeometry and switch to the
    rectangle type from Cairo.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=656663

 clutter/clutter-private.h               |    4 ++
 clutter/clutter-stage-private.h         |    6 ++-
 clutter/clutter-stage-window.c          |   16 +++---
 clutter/clutter-stage-window.h          |   26 +++++-----
 clutter/clutter-stage.c                 |   74 ++++++++++++++++++-------------
 clutter/clutter-util.c                  |   30 ++++++++++++
 clutter/cogl/clutter-stage-cogl.c       |   29 +++++-------
 clutter/cogl/clutter-stage-cogl.h       |    3 +-
 clutter/osx/clutter-stage-osx.c         |    4 +-
 clutter/wayland/clutter-stage-wayland.c |   64 ++++++++++----------------
 clutter/wayland/clutter-stage-wayland.h |    6 +-
 clutter/win32/clutter-stage-win32.c     |   12 +++---
 clutter/x11/clutter-stage-x11.c         |    4 +-
 13 files changed, 154 insertions(+), 124 deletions(-)

commit c59f9ef79f630b14e30623c0629551264e208d35
Author: Chao-Hsiung Liao <j_h_liau@yahoo.com.tw>
Date:   Sun Sep 25 16:16:10 2011 +0800

    Updated Traditional Chinese translation(Hong Kong and Taiwan)

 po/zh_HK.po | 1192 ++++++++++++++++++++++++++++++-----------------------------
 po/zh_TW.po | 1192 ++++++++++++++++++++++++++++++-----------------------------
 2 files changed, 1230 insertions(+), 1154 deletions(-)

commit 85c4c9c6ccdcd5272e4c21de768d788089075b93
Author: Ask H. Larsen <asklarsen@gmail.com>
Date:   Sat Sep 24 17:28:11 2011 +0200

    Updated Danish translation

 po/da.po | 1749 +++++++++++++++++++++++++++++++++-----------------------------
 1 files changed, 920 insertions(+), 829 deletions(-)

commit afc09b817d043a62bec84ec1f923518f02cc8d22
Author: Mario Blättermann <mariobl@gnome.org>
Date:   Sat Sep 24 10:44:08 2011 +0200

    [l10n] Updated German translation

 po/de.po | 1172 +++++++++++++++++++++++++++++++-------------------------------
 1 files changed, 591 insertions(+), 581 deletions(-)

commit d3bafc4b09a50e9ee35c5439c604e56428670513
Author: Colin Walters <walters@verbum.org>
Date:   Thu Sep 22 21:22:53 2011 -0400

    clutter-main: Reword translator comment for default:LTR
    
    This makes it much clearer, and fixes some typos in the original.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=659893

 clutter/clutter-main.c |    9 +++++----
 1 files changed, 5 insertions(+), 4 deletions(-)

commit a23e59bd66c70349a456fa8f82b7ed61128450cf
Author: Alexandre Franke <alexandre.franke@gmail.com>
Date:   Fri Sep 23 11:23:26 2011 +0200

    Mark forgotten string as translatable
    
    https://bugzilla.gnome.org/show_bug.cgi?id=659928

 clutter/clutter-actor.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 220e5c967792b0dc3a0afb3501ad7f2c3e01e287
Author: Bruno Brouard <annoa.b@gmail.com>
Date:   Fri Sep 23 18:26:19 2011 +0200

    Updated French translation

 po/fr.po | 1849 +++++++++++++++++++++++++++++++-------------------------------
 1 files changed, 934 insertions(+), 915 deletions(-)

commit f8d808f140a4fe84e3002ee5935d4b8317779c9d
Author: Neil Roberts <neil@linux.intel.com>
Date:   Fri Sep 23 15:12:44 2011 +0100

    Add a CLUTTER_PAINT debug option to enable continous redrawing
    
    When testing the performance of an application, it's often useful to
    force it to continuously redraw instead of going idle to help measure
    the frame rate. This just adds a CLUTTER_PAINT=continuous-redraw which
    causes the master clock to queue a redraw on all of the stages
    just before it prepares its source.
    
    Reviewed-by: Robert Bragg <robert@linux.intel.com>
    Reviewed-by: Emmanuele Bassi <ebassi@linux.intel.com>

 clutter/clutter-debug.h        |    3 ++-
 clutter/clutter-main.c         |    3 ++-
 clutter/clutter-master-clock.c |   14 ++++++++++++++
 3 files changed, 18 insertions(+), 2 deletions(-)

commit e08df14d42a999a1ed2fcfb0f241de986829a7be
Author: krishnababu k <kkrothap@redhat.ocm>
Date:   Fri Sep 23 18:01:37 2011 +0530

    Updated Telugu Translations

 po/te.po | 1126 ++++++++++++++++++++++++++++++++------------------------------
 1 files changed, 573 insertions(+), 553 deletions(-)

commit 2004f98bc457392ccf4d9114309511323fa37a3f
Author: Manoj Kumar Giri <mgiri@dhcp193-76.pnq.redhat.com>
Date:   Fri Sep 23 12:46:22 2011 +0530

    Updated Oriya Translation

 po/or.po |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 3dfdf58e3f0d2ad80322d5b0eda23cd91a135b82
Author: I Felix <ifelix25@gmail.com>
Date:   Fri Sep 23 12:42:15 2011 +0530

    Updated Tamil Translations

 po/ta.po |  449 +++++++++++++++++++++++++++++--------------------------------
 1 files changed, 213 insertions(+), 236 deletions(-)

commit 2966ce2e59784ad85c2d40971e9a489e66da9772
Author: A S Alam <aalam@users.sf.net>
Date:   Fri Sep 23 07:24:56 2011 +0530

    update Punjabi Translation

 po/pa.po | 1199 ++++++++++++++++++++++++++++++++------------------------------
 1 files changed, 610 insertions(+), 589 deletions(-)

commit c67d3e5b52955fc87b5c1581a82b745d9b2b047c
Author: Neil Roberts <neil@linux.intel.com>
Date:   Wed Sep 21 16:36:30 2011 +0100

    clutter-offscreen-effect: Apply matrix expansion to proj not mv
    
    When the viewport gets expanded because the actor extends off the edge
    of the screen, instead of applying the transformation to the root of
    the modelview transformation it is now applied to the end of the
    projection transformation. This should end up with the same
    transformation. This fixes a problem when the offscreen effects are
    nested and the inner effect would try to pick up the current modelview
    transformation to rescale it to fit the new viewport size. In this
    case the modelview would have already been scaled for the size of the
    outer viewport so it would end up wrong.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=659601
    
    Reviewed-by: Emmanuele Bassi <ebassi@linux.intel.com>
    Reviewed-by: Robert Bragg <robert@linux.intel.com>

 clutter/clutter-offscreen-effect.c |   31 +++++++++++--------------------
 1 files changed, 11 insertions(+), 20 deletions(-)

commit 9d8ad861653193a2a2428caeb2d7553f99c7083a
Author: Nilamdyuti Goswami <ngoswami@redhat.com>
Date:   Thu Sep 22 12:41:20 2011 +0200

    Add Assamese translation

 po/as.po | 2191 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 files changed, 2191 insertions(+), 0 deletions(-)

commit 7fb8fc65a33aea59d7a970acefd0eab19d94da69
Author: Neil Roberts <neil@linux.intel.com>
Date:   Wed Sep 21 13:37:44 2011 +0100

    mingw-fetch-dependencies: Mirror the changes made to the Cogl version
    
    Cogl has a similar script which has had the following additional
    changes:
    
    * Don't pass -c to wget
    
    * Explicitly download and run config.guess
    
    This patch just syncs up with those.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=659625

 build/mingw/mingw-fetch-dependencies.sh |   17 ++++++++++++++---
 1 files changed, 14 insertions(+), 3 deletions(-)

commit 7d8c48268efc87cbf5f8a38d30186e6ba18842cc
Author: Damien Lespiau <damien.lespiau@intel.com>
Date:   Tue Sep 20 17:34:46 2011 +0100

    mingw32: Update the build script to compile 1.8.0
    
    * Updated dependencies, glib 2.28 and cogl 1.8.0
    * Mesa has removed mesa_wgl.h from its headers
    * added -I$ROOT_DIR/include to the CFLAGS to include the headers from
      our prefix (say <GL/gl.h>) before the system ones
    
    https://bugzilla.gnome.org/show_bug.cgi?id=659625

 build/mingw/mingw-fetch-dependencies.sh |   10 +++++-----
 1 files changed, 5 insertions(+), 5 deletions(-)

commit dc5b047ed5e2a7f19d40689de14024c65c9bf786
Author: Duarte Loreto <happyguy_pt@hotmail.com>
Date:   Wed Sep 21 00:34:48 2011 +0100

    Updated Portuguese translation

 po/pt.po | 2216 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 files changed, 2216 insertions(+), 0 deletions(-)

commit 8051c47664c4e049587c30c1135d247e72f08b3b
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Sep 19 23:14:04 2011 +0100

    Fix typo in ClutterSettings:password-hint-time blurb

 clutter/clutter-settings.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 93ece6dd7bd0b711652d9b64c9a946873419756d
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Sep 19 16:44:22 2011 +0100

    text: Implement password hint
    
    A ClutterText in password mode should have the ability to show the last
    input character. This feature allows easier password entry on platforms
    with unreliable keyboards, such as touchscreens or small devices.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=652588

 clutter/clutter-text.c |   94 ++++++++++++++++++++++++++++++++++++++++--------
 1 files changed, 79 insertions(+), 15 deletions(-)

commit 07912a147dffca9cfdeb84a77e6edf567743cb20
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Sep 19 16:43:05 2011 +0100

    settings: Add password-hint-time property
    
    Add a setting that controls whether ClutterText actors in password mode
    should display the last input character for a defined time. This helps
    on touch-based interfaces.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=652588

 clutter/clutter-settings.c |   30 ++++++++++++++++++++++++++++++
 1 files changed, 30 insertions(+), 0 deletions(-)

commit 0b07a5ef04843aa22bbc1f3a0f9d0f93bf98dfb7
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Sep 19 20:04:11 2011 +0100

    Post branch version bump to 1.9.1

 configure.ac |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 227033524707b584de6dbdbd3c4ce944145eeb44
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Sep 19 20:02:17 2011 +0100

    Depend on Cogl new stable release, 1.8.0

 configure.ac |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 4396bec330d0e1015b7f35e5eb10bde0379377fc
Author: Tomeu Vizoso <tomeu.vizoso@collabora.co.uk>
Date:   Mon Sep 19 20:11:50 2011 +0200

    Queue a redraw when removing an effect by name
    
    https://bugzilla.gnome.org/show_bug.cgi?id=659501

 clutter/clutter-actor.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit fcc2ab7be594427c0dd2b0570a67ae9c555f1f40
Author: Craig R. Hughes <craig.git@rungie.com>
Date:   Mon Sep 19 09:30:00 2011 -0700

    Fix calculation of duration for ClutterState default transitions
    
    https://bugzilla.gnome.org/show_bug.cgi?id=659200

 clutter/clutter-state.c |    9 +++++++--
 1 files changed, 7 insertions(+), 2 deletions(-)

commit 14bd6eaad4672ce488986aa2609a5c0ad69adc2b
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Sep 19 17:51:23 2011 +0100

    Bump GLib dependency
    
    We have been using g_slist_free_full() which was added in GLib 2.28, and
    yet we neved bumped the GLib dependency. Whoopsie.

 configure.ac |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 96866804f05b24d35fbb2f93c00aaeb075f25c4f
Author: Robert Bragg <robert@linux.intel.com>
Date:   Mon Sep 19 14:38:08 2011 +0100

    actor: consider empty pv ok in set_default_paint_volume
    
    In _clutter_actor_set_default_paint_volume we were returning FALSE if an
    actor has an empty allocation because we were claiming it doesn't have a
    paint-volume. Actually an empty/degenerate pv is valid and has different
    semantics to returning FALSE because FALSE means the pv is unknown and
    so Clutter will have to assume the worst - that the pv is basically
    un-bounded.
    
    Reviewed-by: Emmanuele Bassi <ebassi@linux.intel.com>

 clutter/clutter-paint-volume.c |    4 ----
 1 files changed, 0 insertions(+), 4 deletions(-)

commit 239fc43c5f5dc15346094bf797ad8e8799424a4b
Author: Robert Bragg <robert@linux.intel.com>
Date:   Mon Sep 19 12:54:31 2011 +0100

    stage: implicitly clip to stage window bounds
    
    This implicitly intersects any clip for redrawing with the stage window
    bounds. Without this we were sometimes trying to set huge off screen
    scissors leading to undefined clipping results.
    
    Reviewed-by: Emmanuele Bassi <ebassi@linux.intel.com>

 clutter/clutter-stage.c |   45 +++++++++++++++++++++++++++++----------------
 1 files changed, 29 insertions(+), 16 deletions(-)

commit 662d12aeff9c7404b915e44777b50f0995252fd8
Author: Robert Bragg <robert@linux.intel.com>
Date:   Mon Sep 19 12:36:52 2011 +0100

    actor: add oob-transform opt to catch out-of-band transforms
    
    Out-of-band transforms are considered to be all actor transforms done
    directly with the Cogl API instead of via ClutterActor::apply_transform.
    
    By running with CLUTTER_DEBUG=oob-transform then Clutter will explicitly
    try to detect when un-expected transforms have been applied to the
    modelview matrix stack.
    
    Out-of-band transforms can lead to awkward bugs in Clutter applications
    because Clutter itself doesn't know about them and this can disrupt
    Clutter's input handling and calculations of actor paint-volumes
    which can lead to visual artifacts.
    
    Reviewed-by: Emmanuele Bassi <ebassi@linux.intel.com>

 clutter/clutter-actor.c |   23 +++++++++++++++++++++++
 clutter/clutter-debug.h |    3 ++-
 clutter/clutter-main.c  |    3 ++-
 3 files changed, 27 insertions(+), 2 deletions(-)

commit ad7bb392c599c801106bf2d15ccdd4a07fe6efda
Merge: 65e498e f315e76
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Mon Sep 19 14:24:04 2011 +0800

    Merge branch 'master' into msvc-support-master

commit f315e760de3f9e15088cedec89139533a0717f3a
Author: Gil Forcada <gforcada@gnome.org>
Date:   Sat Sep 17 16:38:12 2011 +0200

    [l10n]Updated Catalan translation

 po/ca.po | 1127 +++++++++++++++++++++++++++++++-------------------------------
 1 files changed, 569 insertions(+), 558 deletions(-)

commit c434553f0f9ef103f7d1bb467e73064c85fe6487
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:   Sat Sep 17 10:53:10 2011 +0200

    Updated Slovenian translation

 po/sl.po |    3 +--
 1 files changed, 1 insertions(+), 2 deletions(-)

commit 8df42e8822a05052837c7b600bb4d9d089a408bb
Author: I Felix <ifelix25@gmail.com>
Date:   Fri Sep 16 17:12:00 2011 +0530

    Updated Tamil Translations

 po/ta.po | 2205 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 files changed, 2205 insertions(+), 0 deletions(-)

commit 65e498e3f903517104a6008f739b26f91e3d0610
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Fri Sep 16 17:34:29 2011 +0800

    Conform-tests: Remove C99ism

 tests/conform/test-cogl-materials.c    |   20 ++++++++++++++------
 tests/conform/test-cogl-pixel-buffer.c |    2 +-
 2 files changed, 15 insertions(+), 7 deletions(-)

commit 9f12ec534ebd8ad584b3655558ffdfbd43aefce9
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Fri Sep 16 17:25:47 2011 +0800

    msvc-support: Recover wrecked branch
    
    Recover the branch! :|

 Makefile.am                                        |    5 +-
 build/Makefile.am                                  |    2 +-
 build/win32/Makefile.am                            |    3 +
 build/win32/vs10/Makefile.am                       |   37 +
 build/win32/vs10/README.txt                        |   91 ++
 .../win32/vs10/cally-atkcomponent-example.vcxproj  |  172 +++
 .../cally-atkcomponent-example.vcxproj.filters     |   26 +
 .../vs10/cally-atkeditabletext-example.vcxproj     |  172 +++
 .../cally-atkeditabletext-example.vcxproj.filters  |   26 +
 build/win32/vs10/cally-atkevents-example.vcxproj   |  172 +++
 .../vs10/cally-atkevents-example.vcxproj.filters   |   26 +
 build/win32/vs10/cally-atktext-example.vcxproj     |  172 +++
 .../vs10/cally-atktext-example.vcxproj.filters     |   25 +
 build/win32/vs10/cally-clone-example.vcxproj       |  172 +++
 .../win32/vs10/cally-clone-example.vcxproj.filters |   26 +
 build/win32/vs10/clutter.props                     |  416 ++++++
 build/win32/vs10/clutter.sln                       |  156 +++
 build/win32/vs10/clutter.vcxproj.filtersin         |   25 +
 build/win32/vs10/clutter.vcxprojin                 |  196 +++
 build/win32/vs10/install.vcxproj                   |  149 +++
 build/win32/vs10/test-cogl-perf.vcxproj            |  166 +++
 build/win32/vs10/test-cogl-perf.vcxproj.filters    |   14 +
 .../win32/vs10/test-conformance.vcxproj.filtersin  |   12 +
 build/win32/vs10/test-conformance.vcxprojin        |  168 +++
 .../win32/vs10/test-interactive.vcxproj.filtersin  |   12 +
 build/win32/vs10/test-interactive.vcxprojin        |  168 +++
 build/win32/vs10/test-picking.vcxproj              |  167 +++
 build/win32/vs10/test-picking.vcxproj.filters      |   14 +
 build/win32/vs10/test-random-text.vcxproj          |  166 +++
 build/win32/vs10/test-random-text.vcxproj.filters  |   14 +
 build/win32/vs10/test-text-perf.vcxproj            |  166 +++
 build/win32/vs10/test-text-perf.vcxproj.filters    |   14 +
 build/win32/vs10/test-text.vcxproj                 |  166 +++
 build/win32/vs10/test-text.vcxproj.filters         |   14 +
 build/win32/vs9/Makefile.am                        |   21 +
 build/win32/vs9/README.txt                         |   90 ++
 build/win32/vs9/cally-atkcomponent-example.vcproj  |  169 +++
 .../win32/vs9/cally-atkeditabletext-example.vcproj |  167 +++
 build/win32/vs9/cally-atkevents-example.vcproj     |  167 +++
 build/win32/vs9/cally-atktext-example.vcproj       |  164 +++
 build/win32/vs9/cally-clone-example.vcproj         |  169 +++
 build/win32/vs9/clutter.sln                        |  207 +++
 build/win32/vs9/clutter.vcprojin                   |  199 +++
 build/win32/vs9/clutter.vsprops                    |  265 ++++
 build/win32/vs9/install.vcproj                     |   80 ++
 build/win32/vs9/test-cogl-perf.vcproj              |  159 +++
 build/win32/vs9/test-conformance.vcprojin          |  165 +++
 build/win32/vs9/test-interactive.vcprojin          |  165 +++
 build/win32/vs9/test-picking.vcproj                |  160 +++
 build/win32/vs9/test-random-text.vcproj            |  159 +++
 build/win32/vs9/test-text-perf.vcproj              |  159 +++
 build/win32/vs9/test-text.vcproj                   |  159 +++
 clutter/Makefile.am                                |   42 +
 clutter/clutter-config.h.win32                     |   16 +
 clutter/clutter-version.h.win32.in                 |  196 +++
 clutter/clutter.symbols                            | 1386 ++++++++++++++++++++
 tests/conform/Makefile.am                          |   42 +
 tests/interactive/Makefile.am                      |   58 +-
 tests/micro-bench/test-picking.c                   |    8 +-
 59 files changed, 7895 insertions(+), 7 deletions(-)

commit 208fbe756ec40d56bba657c8a07fcd61c894e433
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Fri Sep 16 17:15:33 2011 +0800

    Recover msvc-support
    
    messed up my own git repo...

 config.h.win32.in |  158 +++++++++++++++++++++++++++++++++++++++++++++++++++++
 configure.ac      |    6 ++-
 2 files changed, 163 insertions(+), 1 deletions(-)

commit 1679104a0e79c1764c7e0210965a7eb17f67b772
Author: Martin Srebotnjak <miles@filmsi.net>
Date:   Thu Sep 15 22:33:37 2011 +0200

    Updated Slovenian translation

 po/sl.po | 1276 +++++++++++++++++++++++++++++++-------------------------------
 1 files changed, 633 insertions(+), 643 deletions(-)

commit 7a0481c79eb2bce6df94fce4cada79982afec1e7
Author: Shankar Prasad <svenkate@redhat.com>
Date:   Thu Sep 15 23:18:03 2011 +0530

    updated Kannada Translation

 po/kn.po |  208 +++++++++++++++++++++++++++++++-------------------------------
 1 files changed, 104 insertions(+), 104 deletions(-)

commit c2e9b38eb9ca0810227302d0828c03cce83e25a0
Author: Shankar Prasad <svenkate@redhat.com>
Date:   Thu Sep 15 22:42:34 2011 +0530

    updated Kannada Translation

 po/kn.po |    7 ++++---
 1 files changed, 4 insertions(+), 3 deletions(-)

commit 41bd15226f6fcbd373e4dc41888dbfa6aa930d3d
Author: Rui Matos <tiagomatos@gmail.com>
Date:   Thu Sep 15 04:50:43 2011 +0100

    text: We still have to paint the actor if the cursor is visible
    
    https://bugzilla.gnome.org/show_bug.cgi?id=659116

 clutter/clutter-text.c |    3 ++-
 1 files changed, 2 insertions(+), 1 deletions(-)

commit 1883ee13f986f6828f7a4d9bc6f867cce718caa4
Author: Jasper St. Pierre <jstpierre@mecheye.net>
Date:   Wed Sep 14 12:01:48 2011 -0400

    text: Take out a nonsense fallback
    
    Invisible text is the best surprise for an update!
    
    https://bugzilla.gnome.org/show_bug.cgi?id=659069

 clutter/clutter-text.c |    4 ----
 1 files changed, 0 insertions(+), 4 deletions(-)

commit 7a7a4f64419749913346552cee109e0496781682
Author: Andika Triwidada <andika@gmail.com>
Date:   Thu Sep 15 04:05:54 2011 +0700

    Updated Indonesian translation

 po/id.po | 1780 +++++++++++++++++++++++++++++---------------------------------
 1 files changed, 832 insertions(+), 948 deletions(-)

commit 7c5160f36d713ec93935686a195ba3c5c42a3336
Author: Aurimas Černius <aurisc4@gmail.com>
Date:   Wed Sep 14 20:18:34 2011 +0300

    Updated Lithuanian translation

 po/lt.po |   34 +++++++++++++++++-----------------
 1 files changed, 17 insertions(+), 17 deletions(-)

commit 9efcb8a8a360ff8b75d4ac2724da91e2d62ec2d4
Author: Rajesh Ranjan <rranjan@redhat.com>
Date:   Tue Sep 13 14:41:57 2011 +0530

    hindi update

 po/hi.po | 1266 +++++++++++++++++++++++++++++++-------------------------------
 1 files changed, 640 insertions(+), 626 deletions(-)

commit 8f8663c8756437fdb0e30381fce76630d6b887ba
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Sep 12 16:36:44 2011 +0100

    moduleset: Fix up the location of the moduleset file
    
    We moved to git.gnome.org, and the moduleset moved with us.

 build/clutter-build-setup.sh |    3 +--
 build/jhbuildrc-clutter      |    2 +-
 2 files changed, 2 insertions(+), 3 deletions(-)

commit 92d4197b2caa092ef5b81e8f9fed2aabbc7fef0c
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Mon Sep 12 13:59:30 2011 +0100

    Post-release version bump to 1.7.91

 configure.ac       |    2 +-
 po/ast.po          | 1283 ++++++++++++++++++++++++++--------------------------
 po/ca.po           |  370 ++++++++--------
 po/ca@valencia.po  |  370 ++++++++--------
 po/clutter-1.0.pot |  372 ++++++++--------
 po/cs.po           |  370 ++++++++--------
 po/da.po           | 1100 ++++++++++++++++++++++-----------------------
 po/de.po           |  370 ++++++++--------
 po/en_GB.po        | 1110 ++++++++++++++++++++++-----------------------
 po/eo.po           |  370 ++++++++--------
 po/es.po           | 1106 ++++++++++++++++++++++-----------------------
 po/fr.po           |  370 ++++++++--------
 po/gl.po           |  370 ++++++++--------
 po/hi.po           | 1108 ++++++++++++++++++++++-----------------------
 po/id.po           | 1200 ++++++++++++++++++++++++-------------------------
 po/it.po           |  370 ++++++++--------
 po/kn.po           |  370 ++++++++--------
 po/lt.po           | 1228 ++++++++++++++++++++++++-------------------------
 po/lv.po           | 1126 +++++++++++++++++++++++-----------------------
 po/nb.po           |  370 ++++++++--------
 po/nl.po           |  370 ++++++++--------
 po/or.po           | 1108 ++++++++++++++++++++++-----------------------
 po/pa.po           |  370 ++++++++--------
 po/pl.po           |  370 ++++++++--------
 po/pt_BR.po        | 1101 ++++++++++++++++++++++-----------------------
 po/ru.po           | 1270 ++++++++++++++++++++++++++--------------------------
 po/sl.po           |  370 ++++++++--------
 po/sv.po           |  370 ++++++++--------
 po/te.po           |  370 ++++++++--------
 po/tr.po           | 1111 ++++++++++++++++++++++-----------------------
 po/uk.po           |  370 ++++++++--------
 po/zh_CN.po        | 1101 ++++++++++++++++++++++-----------------------
 po/zh_HK.po        |  370 ++++++++--------
 po/zh_TW.po        |  370 ++++++++--------
 34 files changed, 11102 insertions(+), 11254 deletions(-)

